/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

CREATE DATABASE IF NOT EXISTS `jobshop` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `jobshop`;

CREATE TABLE IF NOT EXISTS `m_job` (
  `jo_id` int(11) NOT NULL DEFAULT '0',
  `jo_name` varchar(80) DEFAULT NULL,
  `jo_start` datetime DEFAULT NULL COMMENT 'podla zadania',
  `jo_stop` datetime DEFAULT NULL COMMENT 'podla zadania',
  `jo_ok_start` datetime DEFAULT NULL,
  `jo_ok_stop` datetime DEFAULT NULL,
  `jo_zm` datetime DEFAULT NULL,
  `jo_km` datetime DEFAULT NULL,
  `jo_rc` decimal(10,3) NOT NULL DEFAULT '0.000' COMMENT 'rezerva v dnoch',
  `jo_tc` double(10,3) NOT NULL DEFAULT '0.000' COMMENT 'celkove trvanie v dnoch, nerealizovane',
  `jo_nt_cnt` int(11) NOT NULL DEFAULT '0',
  `jo_op_cnt` int(11) NOT NULL DEFAULT '0',
  `jo_calc_pref` decimal(13,5) NOT NULL DEFAULT '0.00000',
  `jo_prefer` decimal(13,5) NOT NULL DEFAULT '0.00000',
  `jo_domination` decimal(13,5) NOT NULL DEFAULT '0.00000' COMMENT 'vysledna dominancia',
  `jo_act_domination` decimal(13,5) NOT NULL DEFAULT '0.00000' COMMENT 'zostatok z jobu, co este nie je urobene',
  `jo_full_domination` decimal(13,5) NOT NULL DEFAULT '0.00000' COMMENT 'cely job',
  `jo_color` int(11) NOT NULL DEFAULT '0' COMMENT '+1',
  `jo_shedule` int(11) NOT NULL DEFAULT '0',
  `jo_from_end` int(11) NOT NULL DEFAULT '0' COMMENT '0/1, 1- shedule from end  0-shedule from start',
  `jo_deadline` int(11) NOT NULL DEFAULT '0' COMMENT '0/1 (-1) deadline',
  `jo_tc_all` int(11) NOT NULL DEFAULT '0' COMMENT 'tc aj uz relizovane ',
  `jo_tc_all_cpm1` int(11) NOT NULL DEFAULT '0' COMMENT 'tc na kritickej ceste, all',
  `jo_op_cnt_all` int(11) NOT NULL DEFAULT '0' COMMENT 'pocet operacii  aj nerealizovane'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='analiza jobu';

/*!40000 ALTER TABLE `m_job` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_job` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `m_jobnt` (
  `g_no` int(11) NOT NULL AUTO_INCREMENT,
  `g_ix` decimal(12,4) NOT NULL DEFAULT '0.0000',
  `g_schedule` int(11) NOT NULL DEFAULT '0',
  `g_job` int(11) NOT NULL DEFAULT '0',
  `g_cpm_ix` int(11) NOT NULL DEFAULT '0',
  `g_cpm_cpm` int(11) NOT NULL DEFAULT '0',
  `g_fix` int(11) DEFAULT '0',
  `g_nt` int(11) NOT NULL DEFAULT '0',
  `g_nt_cnt` int(11) DEFAULT '0' COMMENT 'pocet ostavajucich nt',
  `g_op_cnt` int(11) DEFAULT '0' COMMENT 'pocet operacii v danom nt',
  `g_tc` int(11) DEFAULT '0',
  `g_domination` decimal(12,5) DEFAULT '0.00000',
  `g_c0` decimal(12,5) DEFAULT '0.00000',
  `g_c1` int(11) DEFAULT '0',
  `g_c2` int(11) DEFAULT '0',
  `g_c3` int(11) DEFAULT '0',
  `g_c4` int(11) DEFAULT '0',
  `g_c5` int(11) DEFAULT '0',
  `g_c6` int(11) DEFAULT '0',
  `g_old_schedule` int(11) DEFAULT '0',
  `g_deadline_screen` int(11) DEFAULT '0' COMMENT '0/1/-1  (-1) deadline',
  `g_deadline` int(11) DEFAULT '0' COMMENT '0/1',
  PRIMARY KEY (`g_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `m_jobnt` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_jobnt` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `m_net_tmp` (
  `net_id` int(11) NOT NULL COMMENT 'row id',
  `net_job_id` int(11) NOT NULL DEFAULT '0' COMMENT 'tjob.job_id',
  `net_a_id` int(11) NOT NULL DEFAULT '0' COMMENT 'node A ',
  `net_b_id` int(11) NOT NULL DEFAULT '0' COMMENT 'node B',
  PRIMARY KEY (`net_id`),
  UNIQUE KEY `net_a_id` (`net_a_id`,`net_b_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='kopia tnetwork iba pre editovanie IOSeq';

/*!40000 ALTER TABLE `m_net_tmp` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_net_tmp` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `m_result` (
  `h_id` int(11) NOT NULL AUTO_INCREMENT,
  `h_group` int(11) NOT NULL DEFAULT '0',
  `h_time` varchar(25) NOT NULL DEFAULT '',
  `h_job` int(11) NOT NULL DEFAULT '0',
  `h_start` datetime NOT NULL,
  `h_stop` datetime NOT NULL,
  `h_operation` varchar(10) NOT NULL,
  `h_color` int(10) NOT NULL DEFAULT '0',
  `h_data` varchar(21000) NOT NULL,
  `h_result` int(11) NOT NULL,
  `h_seria` varchar(30) NOT NULL,
  PRIMARY KEY (`h_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

/*!40000 ALTER TABLE `m_result` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_result` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `m_scheduled` (
  `sh_id` int(11) NOT NULL AUTO_INCREMENT,
  `sh_wp` int(11) NOT NULL DEFAULT '0' COMMENT 'workplace',
  `sh_wp_orign` int(11) NOT NULL DEFAULT '0',
  `sh_ma` int(11) NOT NULL DEFAULT '0' COMMENT 't_ma',
  `sh_op` int(11) NOT NULL DEFAULT '0' COMMENT 'operation',
  `sh_job` int(11) NOT NULL DEFAULT '0' COMMENT 'job',
  `sh_nt` int(11) NOT NULL DEFAULT '0',
  `sh_td` int(11) NOT NULL DEFAULT '0',
  `sh_td_orign` int(11) NOT NULL DEFAULT '0',
  `sh_ts` int(11) NOT NULL DEFAULT '0',
  `sh_ts_orign` int(11) NOT NULL DEFAULT '0',
  `sh_tij` int(11) NOT NULL DEFAULT '0',
  `sh_tij_orign` int(11) NOT NULL DEFAULT '0',
  `sh_ix` int(11) NOT NULL DEFAULT '0',
  `sh_start` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_stopMa` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_stop` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_date` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  PRIMARY KEY (`sh_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='work time on workplaces';

/*!40000 ALTER TABLE `m_scheduled` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_scheduled` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `m_scheduled_copy` (
  `sh_id` int(11) NOT NULL AUTO_INCREMENT,
  `sh_wp` int(11) NOT NULL DEFAULT '0' COMMENT 'workplace',
  `sh_wp_orign` int(11) NOT NULL DEFAULT '0',
  `sh_ma` int(11) NOT NULL DEFAULT '0' COMMENT 't_ma',
  `sh_op` int(11) NOT NULL DEFAULT '0' COMMENT 'operation',
  `sh_job` int(11) NOT NULL DEFAULT '0' COMMENT 'job',
  `sh_nt` int(11) NOT NULL DEFAULT '0',
  `sh_td` int(11) NOT NULL DEFAULT '0',
  `sh_td_orign` int(11) NOT NULL DEFAULT '0',
  `sh_tij` int(11) NOT NULL DEFAULT '0',
  `sh_tij_orign` int(11) NOT NULL DEFAULT '0',
  `sh_ix` int(11) NOT NULL DEFAULT '0',
  `sh_start` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_stopMa` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_stop` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  `sh_date` datetime NOT NULL DEFAULT '1901-01-01 00:00:00',
  PRIMARY KEY (`sh_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='work time on workplaces';

/*!40000 ALTER TABLE `m_scheduled_copy` DISABLE KEYS */;
/*!40000 ALTER TABLE `m_scheduled_copy` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `s_actgr` (
  `a_user` int(11) NOT NULL DEFAULT '0',
  `a_gr` int(11) NOT NULL DEFAULT '0',
  `a_start` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `a_time` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`a_user`,`a_gr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `s_actgr` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_actgr` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `s_newgr` (
  `n_id` int(11) NOT NULL AUTO_INCREMENT,
  `n_user` int(11) NOT NULL DEFAULT '0',
  `n_time` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`n_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `s_newgr` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_newgr` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `s_save` (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_gr` int(11) NOT NULL DEFAULT '0',
  `s_user` int(11) NOT NULL DEFAULT '0',
  `s_job` int(11) NOT NULL DEFAULT '0',
  `s_ntcnt` int(11) NOT NULL DEFAULT '0',
  `s_data` longblob,
  `s_head` longblob,
  `s_task` varchar(80) DEFAULT '',
  PRIMARY KEY (`s_id`),
  KEY `s_gr` (`s_gr`,`s_user`),
  KEY `s_job` (`s_job`,`s_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='save history of changes';

/*!40000 ALTER TABLE `s_save` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_save` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `s_user` (
  `u_id` int(11) NOT NULL AUTO_INCREMENT,
  `u_name` varchar(50) DEFAULT NULL,
  `u_password` varchar(50) DEFAULT NULL,
  `u_role` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`u_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `s_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_user` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tconfig` (
  `cf_code` int(11) NOT NULL DEFAULT '0',
  `cf_name` varchar(60) NOT NULL DEFAULT '',
  `cf_value` varchar(100) NOT NULL DEFAULT '',
  `cf_comment` varchar(250) NOT NULL DEFAULT '',
  `cf_ix` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`cf_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `tconfig` DISABLE KEYS */;
INSERT INTO `tconfig` (`cf_code`, `cf_name`, `cf_value`, `cf_comment`, `cf_ix`) VALUES
	(1, 'Job prefer coeff', '0.5', '', 1);
/*!40000 ALTER TABLE `tconfig` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tdays` (
  `wd_type` varchar(1) NOT NULL DEFAULT '',
  `wd_name` varchar(80) DEFAULT '',
  `wd_intervals` varchar(120) NOT NULL DEFAULT '06:00-06:00',
  PRIMARY KEY (`wd_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='work days';

/*!40000 ALTER TABLE `tdays` DISABLE KEYS */;
INSERT INTO `tdays` (`wd_type`, `wd_name`, `wd_intervals`) VALUES
	('A', '24h', '06:00-06:00'),
	('B', '24hp', '06:00-12:00, 12:30-18:00, 18:30-22:00, 22:00-04:00, 04:30-06:00'),
	('C', '16h', '06:00-22:00'),
	('D', '16hp', '06:00-12:00, 12:30-18:00, 18:30-22:00'),
	('E', '8h', '06:00-14:00'),
	('F', '8hp', '06:00-12:00, 12:30-14:30');
/*!40000 ALTER TABLE `tdays` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tholiday` (
  `hd_day` datetime NOT NULL DEFAULT '1990-01-01 00:00:00',
  PRIMARY KEY (`hd_day`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='holidays';

/*!40000 ALTER TABLE `tholiday` DISABLE KEYS */;
INSERT INTO `tholiday` (`hd_day`) VALUES
	('2020-01-01 00:00:00'),
	('2021-01-01 00:00:00');
/*!40000 ALTER TABLE `tholiday` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tjob` (
  `job_id` int(11) NOT NULL COMMENT 'row id',
  `job_name` varchar(60) NOT NULL COMMENT 'munkaszam megnevez',
  `job_start` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'inditas datuma',
  `job_stop` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'befelyezes datuma',
  `job_orig_start` datetime DEFAULT NULL,
  `job_orig_stop` datetime DEFAULT NULL,
  `job_prefer` decimal(10,4) NOT NULL DEFAULT '100.0000' COMMENT 'preferencio',
  `job_deadline` int(11) NOT NULL DEFAULT '0' COMMENT '0/1 deadline',
  `job_disabled` int(11) NOT NULL DEFAULT '0',
  `job_op_count` int(11) NOT NULL DEFAULT '0' COMMENT 'calculated - act. operation count in job',
  `job_total_count` int(11) NOT NULL DEFAULT '0' COMMENT 'calclulated - total operation count in job',
  `job_calc_start` int(11) NOT NULL DEFAULT '0' COMMENT 'calculated ',
  `job_calc_minutes` int(11) NOT NULL DEFAULT '0',
  `job_calc_minutes_cpm` int(11) NOT NULL DEFAULT '0',
  `job_calc_prefer` decimal(10,2) NOT NULL DEFAULT '100.00' COMMENT 'percento',
  `job_enabled_days` decimal(10,2) NOT NULL DEFAULT '0.00',
  `job_real_days` decimal(10,2) NOT NULL DEFAULT '0.00',
  `job_real_start` datetime DEFAULT NULL,
  `job_real_stop` datetime DEFAULT NULL,
  `job_delay` decimal(10,2) NOT NULL DEFAULT '0.00',
  `job_act` int(3) NOT NULL DEFAULT '0',
  `job_info_days` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT 'by calc only for this job',
  PRIMARY KEY (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='munkak';

/*!40000 ALTER TABLE `tjob` DISABLE KEYS */;
INSERT INTO `tjob` (`job_id`, `job_name`, `job_start`, `job_stop`, `job_orig_start`, `job_orig_stop`, `job_prefer`, `job_deadline`, `job_disabled`, `job_op_count`, `job_total_count`, `job_calc_start`, `job_calc_minutes`, `job_calc_minutes_cpm`, `job_calc_prefer`, `job_enabled_days`, `job_real_days`, `job_real_start`, `job_real_stop`, `job_delay`, `job_act`, `job_info_days`) VALUES
	(1, 'Job-1', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 6, 0, 0, 1955, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(2, 'Job-2', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 843, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(3, 'Job-3', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 8, 0, 0, 1896, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(4, 'Job-4', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 644, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(5, 'Job-5', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 3, 0, 0, 1104, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(6, 'Job-6', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 10, 0, 0, 2973, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(7, 'Job-7', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 428, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(8, 'Job-8', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 7, 0, 0, 1241, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(9, 'Job-9', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 187, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(10, 'Job-10', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 3, 0, 0, 1070, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(11, 'Job-11', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 6, 0, 0, 831, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(12, 'Job-12', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 579, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(13, 'Job-13', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 1027, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(14, 'Job-14', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 7, 0, 0, 1235, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(15, 'Job-15', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 10, 0, 0, 1965, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(16, 'Job-16', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 10, 0, 0, 3398, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(17, 'Job-17', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 3, 0, 0, 825, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(18, 'Job-18', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 1157, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(19, 'Job-19', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 4, 0, 0, 1264, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(20, 'Job-20', '2020-01-01 00:00:00', '2020-01-02 00:00:00', '2020-01-01 00:00:00', '2020-01-02 00:00:00', 100.0000, 0, 0, 5, 0, 0, 472, 0, 100.00, 1.00, 0.00, NULL, NULL, 0.00, 0, 0.00),
	(21, 'JobAdd-21', '2020-01-01 00:00:00', '2020-01-03 00:00:00', '2020-01-01 00:00:00', '2020-01-03 00:00:00', 100.0000, 0, 0, 9, 0, 0, 1399, 0, 100.00, 2.00, 0.00, NULL, NULL, 0.00, 0, 0.00);
/*!40000 ALTER TABLE `tjob` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tlang` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_form` varchar(80) DEFAULT '',
  `tr_typ` varchar(80) DEFAULT '',
  `tr_prop` varchar(80) DEFAULT '',
  `tr_val` varchar(500) NOT NULL DEFAULT '',
  `tr_lang` varchar(2) NOT NULL DEFAULT '0',
  `tr_comp` varchar(80) DEFAULT '',
  `tr_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`tr_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25205 DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `tlang` DISABLE KEYS */;
INSERT INTO `tlang` (`tr_id`, `tr_form`, `tr_typ`, `tr_prop`, `tr_val`, `tr_lang`, `tr_comp`, `tr_date`) VALUES
	(1, 'F_Graf', 'TForm', 'caption', 'Job Shop Visual ver. 5.7.5.0', '-', '', '2020-02-12 16:57:56'),
	(2, 'F_Graf', 'TImage', 'hint', 'Move all operations from left to selected', '-', 'Image5', '2018-12-02 17:50:49'),
	(3, 'F_Graf', 'TLabel', 'caption', 'LB_FONT1', '-', 'LB_Font1', '2018-11-20 01:02:05'),
	(4, 'F_Graf', 'TLabel', 'caption', 'LB_FONT2', '-', 'LB_FONT2', '2018-11-20 01:02:05'),
	(5, 'F_Graf', 'TShape', 'hint', 'Workplaces sort by FINISH DATES', '0', 'shStopIndex', '2018-11-20 01:02:05'),
	(6, 'F_Graf', 'TShape', 'hint', 'Workplaces sort by PREFERENCES', '0', 'shPrefIndex', '2018-11-20 01:02:05'),
	(7, 'F_Graf', 'TLabel', 'caption', '1', '-', 'lbStart', '2018-11-20 01:02:05'),
	(8, 'F_Graf', 'TLabel', 'hint', 'Start operation', '0', 'lbStart', '2018-11-20 01:02:05'),
	(9, 'F_Graf', 'TLabel', 'caption', '2', '-', 'lbStopMa', '2018-11-20 01:02:05'),
	(10, 'F_Graf', 'TLabel', 'hint', 'Stop operation on the Machine', '0', 'lbStopMa', '2018-11-20 01:02:05'),
	(11, 'F_Graf', 'TLabel', 'caption', '3', '-', 'lbStop', '2018-11-20 01:02:05'),
	(12, 'F_Graf', 'TLabel', 'hint', 'Stop operation', '0', 'lbStop', '2018-11-20 01:02:05'),
	(13, 'F_Graf', 'TLabel', 'caption', '4', '-', 'lbTd', '2018-11-20 01:02:05'),
	(14, 'F_Graf', 'TLabel', 'hint', 'Duration times', '0', 'lbTd', '2018-11-20 01:02:05'),
	(15, 'F_Graf', 'TBitBtn', 'hint', 'Move back to previous state', '0', 'btPrevHistory', '2018-12-02 17:50:49'),
	(16, 'F_Graf', 'TBitBtn', 'hint', 'Move forward to next state', '0', 'btNextHistory', '2018-12-02 17:50:49'),
	(18, 'F_Graf', 'TLabel', 'caption', 'Start', '0', 'Label1', '2018-11-20 01:02:05'),
	(19, 'F_Graf', 'TImage', 'hint', 'Initialization', '0', 'imStartApp', '2018-11-20 01:02:05'),
	(20, 'F_Graf', 'TImage', 'hint', 'Move this task behind the marked task', '0', 'btNext', '2020-01-20 01:37:05'),
	(21, 'F_Graf', 'TImage', 'hint', 'Move this task in front of the marked task', '0', 'btPrev', '2020-01-20 01:37:05'),
	(22, 'F_Graf', 'TImage', 'hint', 'Operation modification', '0', 'btModify', '2018-11-20 01:02:05'),
	(23, 'F_Graf', 'TImage', 'hint', 'Job properties', '0', 'btFromEnd', '2018-11-20 01:02:05'),
	(26, 'F_Graf', 'TImage', 'hint', 'Move this task to date  ...', '0', 'btResult', '2020-01-20 01:37:05'),
	(27, 'F_Graf', 'TImage', 'hint', 'Insert by shortening duration time', '0', 'btToSpace', '2018-12-02 17:50:49'),
	(28, 'F_Graf', 'TImage', 'hint', 'Dependencies', '0', 'imMakeLines', '2018-12-02 17:50:49'),
	(29, 'F_Graf', 'TImage', 'hint', 'Go to the selected operation ', '0', 'imGoto', '2018-11-20 01:02:05'),
	(30, 'F_Graf', 'TImage', 'hint', 'Zoom', '0', 'imZoom', '2018-11-20 01:02:05'),
	(31, 'F_Graf', 'TImage', 'hint', 'Save or Load', '0', 'imSave', '2018-11-20 01:02:05'),
	(32, 'F_Graf', 'TImage', 'hint', 'Save plan to database', '0', 'btSavePlan', '2018-11-20 01:02:05'),
	(33, 'F_Graf', 'TImage', 'hint', 'Refresh', '0', 'imRefresh', '2018-11-20 01:02:05'),
	(34, 'F_Graf', 'TImage', 'hint', 'Move all operations from right to as close to the selected task one as possible', '0', 'btRGaps', '2020-01-20 00:46:24'),
	(35, 'F_Graf', 'TImage', 'hint', 'Move all operations from left to as close to the selected task one as possible', '0', 'btLGaps', '2020-01-20 00:46:24'),
	(36, 'F_Graf', 'TImage', 'hint', 'Previous operation', '0', 'imPrevOp', '2018-11-20 01:02:05'),
	(37, 'F_Graf', 'TImage', 'hint', 'Next operation', '0', 'imNextOp', '2018-11-20 01:02:05'),
	(40, 'F_Graf', 'TImage', 'hint', 'Jobs preferences', '0', 'imJobs', '2018-11-20 01:02:05'),
	(41, 'F_Graf', 'TImage', 'hint', 'Workplace usage', '0', 'imWorkplace', '2018-12-02 17:50:49'),
	(42, 'F_Graf', 'TImage', 'hint', 'Add or remove sequences of jobs ', '0', 'imJobNT', '2018-11-20 01:02:05'),
	(43, 'F_Graf', 'TImage', 'hint', 'Imported data', '0', 'imImport', '2018-11-20 01:02:05'),
	(44, 'F_Graf', 'TImage', 'hint', 'Import errors and warnings', '0', 'imImportErrors', '2018-11-20 01:02:05'),
	(45, 'F_Graf', 'TImage', 'hint', 'Job deadlines', '0', 'imReserve', '2018-12-02 17:50:49'),
	(46, 'F_Graf', 'TImage', 'hint', 'Time anchors', '0', 'imAnchors', '2018-11-20 01:02:05'),
	(47, 'F_Graf', 'TImage', 'hint', 'Version ', '0', 'imVersion', '2018-11-20 01:02:05'),
	(48, 'F_Graf', 'TImage', 'hint', 'Registration', '0', 'imRegistration', '2018-11-20 01:02:05'),
	(49, 'F_Graf', 'TImage', 'hint', 'Help, homepage', '0', 'imHelp', '2018-11-20 01:02:05'),
	(50, 'F_Graf', 'TLabel', 'hint', 'Job count', '0', 'LJob', '2018-12-02 17:50:49'),
	(51, 'F_Graf', 'TLabel', 'hint', 'Workplace usage', '0', 'LEffect', '2018-12-02 17:50:49'),
	(52, 'F_Graf', 'TLabel', 'hint', 'Row conflicts / All rows', '0', 'LRow', '2018-12-02 17:50:49'),
	(53, 'F_Graf', 'TLabel', 'hint', 'Selected job sequence', '0', 'lbJobName', '2018-12-02 17:50:49'),
	(54, 'F_Graf', 'TLabel', 'hint', 'Scheduled job start and stop', '0', 'lbStartStop', '2018-11-20 01:02:05'),
	(57, 'F_Graf', 'TImage', 'hint', 'Move all tasks from left to as close to the selected task one as possible, without conflict', '0', 'btToLeft', '2020-01-20 00:46:24'),
	(58, 'F_Graf', 'TImage', 'hint', 'Workplace Filter', '0', 'btFilter', '2018-11-20 01:02:05'),
	(64, 'F_Graf', 'TValueListEditor', 'txt.1t', 'Job Shop Visual ver.', '0', 'Txt', '2018-11-20 01:02:05'),
	(65, 'F_Graf', 'TValueListEditor', 'txt.2t', 'Version', '0', 'Txt', '2018-11-20 01:02:05'),
	(66, 'F_Graf', 'TValueListEditor', 'txt.5c', 'COOPERATION: EXTERNAL WORKPLACE', '0', 'Txt', '2018-11-20 01:02:05'),
	(67, 'F_Graf', 'TValueListEditor', 'txt.6h', 'Workplace row', '0', 'Txt', '2018-12-02 17:50:49'),
	(68, 'F_Graf', 'TValueListEditor', 'txt.7t', 'Job', '0', 'Txt', '2018-11-20 01:02:05'),
	(69, 'F_Graf', 'TValueListEditor', 'txt.8t', 'Domination', '0', 'Txt', '2018-11-20 01:02:05'),
	(70, 'F_Graf', 'TValueListEditor', 'txt.9t', 'Product', '0', 'Txt', '2018-11-20 01:02:05'),
	(71, 'F_Graf', 'TValueListEditor', 'txt.10t', 'Sequence', '0', 'Txt', '2018-11-20 01:02:05'),
	(72, 'F_Graf', 'TValueListEditor', 'txt.11t', 'PC', '0', 'Txt', '2018-11-20 01:02:05'),
	(73, 'F_Graf', 'TValueListEditor', 'txt.12c', 'Rc', '0', 'Txt', '2018-11-20 01:02:05'),
	(74, 'F_Graf', 'TValueListEditor', 'txt.13t', 'days', '0', 'Txt', '2018-11-20 01:02:05'),
	(75, 'F_Graf', 'TValueListEditor', 'txt.14t', 'from start', '0', 'Txt', '2018-11-20 01:02:05'),
	(76, 'F_Graf', 'TValueListEditor', 'txt.15t', 'from end', '0', 'Txt', '2018-11-20 01:02:05'),
	(77, 'F_Graf', 'TValueListEditor', 'txt.16t', 'locked', '0', 'Txt', '2018-11-20 01:02:05'),
	(78, 'F_Graf', 'TValueListEditor', 'txt.17t', 'deadline', '0', 'Txt', '2018-11-20 01:02:05'),
	(79, 'F_Graf', 'TValueListEditor', 'txt.18t', 'scheduled', '0', 'Txt', '2018-11-20 01:02:05'),
	(80, 'F_Graf', 'TValueListEditor', 'txt.19t', 'comment', '0', 'Txt', '2018-11-20 01:02:05'),
	(81, 'F_Graf', 'TValueListEditor', 'txt.21m', '(21) Error  connect to database - Exit', '0', 'Txt', '2018-11-20 01:02:05'),
	(82, 'F_Graf', 'TValueListEditor', 'txt.22m', '(22) Not allowed to create file to', '0', 'Txt', '2018-12-02 17:50:49'),
	(83, 'F_Graf', 'TValueListEditor', 'txt.23m', '(23) Error - Duplicate registration - Exit', '0', 'Txt', '2018-11-20 01:02:05'),
	(84, 'F_Graf', 'TValueListEditor', 'txt.24m', '(24) Connection is inactive, error before start', '0', 'Txt', '2018-12-02 17:50:49'),
	(85, 'F_Graf', 'TValueListEditor', 'txt.25m', '(25) Job is not selected', '0', 'Txt', '2018-11-20 01:02:05'),
	(86, 'F_Graf', 'TValueListEditor', 'txt.26m', '(26) Function is not allowed in this version', '0', 'Txt', '2018-12-02 17:50:49'),
	(87, 'F_Graf', 'TValueListEditor', 'txt.27m', '(27) TaskData error', '0', 'Txt', '2018-11-20 01:02:05'),
	(88, 'F_Graf', 'TValueListEditor', 'txt.28m', 'Move <- stop to', '0', 'Txt', '2018-11-20 01:02:05'),
	(89, 'F_Graf', 'TValueListEditor', 'txt.29m', 'Move -> start to', '0', 'Txt', '2018-11-20 01:02:05'),
	(90, 'F_Graf', 'TValueListEditor', 'txt.30m', '(30) Move is not allowed to this position', '0', 'Txt', '2018-11-20 01:02:05'),
	(91, 'F_Graf', 'TValueListEditor', 'txt.31m', 'Save Scheduled jobs?', '0', 'Txt', '2018-11-20 01:02:05'),
	(92, 'F_Graf', 'TValueListEditor', 'txt.32m', 'Save Scheduled jobs, OK', '0', 'Txt', '2018-11-20 01:02:05'),
	(93, 'F_Graf', 'TValueListEditor', 'txt.33m', 'Show form "Scheduled data for workplaces" ?', '0', 'Txt', '2018-11-20 01:02:05'),
	(94, 'F_Graf', 'TValueListEditor', 'txt.34m', 'Do you want to reload workplaces?', '0', 'Txt', '2018-12-02 17:50:49'),
	(95, 'F_Graf', 'TValueListEditor', 'txt.35m', 'Reload was successful, you need to recalculate plan', '0', 'Txt', '2018-12-06 00:45:37'),
	(96, 'F_Graf', 'TValueListEditor', 'txt.36m', 'OK - Workspace filtering has been canceled', '0', 'Txt', '2018-11-20 01:02:05'),
	(97, 'F_Graf', 'TValueListEditor', 'txt.37m', 'No more next', '0', 'Txt', '2018-11-20 01:02:05'),
	(98, 'F_Graf', 'TValueListEditor', 'txt.38m', 'No more previous', '0', 'Txt', '2018-11-20 01:02:05'),
	(99, 'F_Graf', 'TValueListEditor', 'txt.39m', '(39) Error, registration data in file', '0', 'Txt', '2018-11-20 01:02:05'),
	(100, 'F_Graf', 'TValueListEditor', 'txt.40m', '(40) Error, registration file not exists', '0', 'Txt', '2018-11-20 01:02:05'),
	(101, 'F_Graf', 'TValueListEditor', 'txt.50h', 'Virtual machine - conflict', '0', 'Txt', '2018-11-20 01:02:05'),
	(102, 'F_Graf', 'TValueListEditor', 'txt.51h', 'machine id', '0', 'Txt', '2018-11-20 01:02:05'),
	(103, 'F_Graf', 'TValueListEditor', 'txt.52h', 'machine name', '0', 'Txt', '2018-11-20 01:02:05'),
	(104, 'F_Graf', 'TValueListEditor', 'txt.53h', 'machine code', '0', 'Txt', '2018-11-20 01:02:05'),
	(105, 'F_Graf', 'TValueListEditor', 'txt.54h', 'days of the week', '0', 'Txt', '2018-11-20 01:02:05'),
	(106, 'F_Graf', 'TValueListEditor', 'txt.55h', 'workplace name', '0', 'Txt', '2018-11-20 01:02:05'),
	(107, 'F_Graf', 'TValueListEditor', 'txt.56h', 'workplace area', '0', 'Txt', '2018-11-20 01:02:05'),
	(108, 'F_Graf', 'TValueListEditor', 'txt.57h', 'workplace effectivity', '0', 'Txt', '2018-11-20 01:02:05'),
	(109, 'F_Graf', 'TValueListEditor', 'txt.58h', 'workplace conflicts', '0', 'Txt', '2018-11-20 01:02:05'),
	(110, 'F_Graf', 'TValueListEditor', 'txt.59h', 'workplace preference', '0', 'Txt', '2018-11-20 01:02:05'),
	(111, 'F_Graf', 'TValueListEditor', 'txt.60h', 'holiday', '0', 'Txt', '2018-11-20 12:45:30'),
	(112, 'F_Graf', 'TValueListEditor', 'txt.61h', 'workplace domination', '0', 'Txt', '2018-11-20 01:02:05'),
	(113, 'F_Graf', 'TValueListEditor', 'txt.62h', 'Transport after operation\'', '0', 'Txt', '2018-11-20 01:02:05'),
	(114, 'F_Graf', 'TValueListEditor', 'txt.63h', 'Input count', '0', 'Txt', '2018-11-20 01:02:05'),
	(115, 'F_Graf', 'TValueListEditor', 'txt.64h', 'Output count', '0', 'Txt', '2018-11-20 01:02:05'),
	(116, 'F_Graf', 'TValueListEditor', 'txt.65h', 'position', '0', 'Txt', '2018-11-20 01:02:05'),
	(117, 'F_Graf', 'TValueListEditor', 'txt.66h', 'start-stop', '0', 'Txt', '2018-11-20 01:02:05'),
	(118, 'F_Graf', 'TValueListEditor', 'txt.67h', 'min-max', '0', 'Txt', '2018-11-20 01:02:05'),
	(119, 'F_Graf', 'TValueListEditor', 'txt.68h', 'Start operation', '0', 'Txt', '2018-11-20 01:02:05'),
	(120, 'F_Graf', 'TValueListEditor', 'txt.69h', 'Stop operation on the Machine', '0', 'Txt', '2018-11-20 01:02:05'),
	(121, 'F_Graf', 'TValueListEditor', 'txt.71h', 'Stop operation', '0', 'Txt', '2018-11-20 01:02:05'),
	(122, 'F_Graf', 'TValueListEditor', 'txt.72h', 'job start', '0', 'Txt', '2018-11-20 01:02:05'),
	(123, 'F_Graf', 'TValueListEditor', 'txt.73h', 'job stop', '0', 'Txt', '2018-11-20 01:02:05'),
	(124, 'F_Graf', 'TValueListEditor', 'txt.74h', 'job duration', '0', 'Txt', '2018-11-20 01:02:05'),
	(125, 'F_Graf', 'TValueListEditor', 'txt.75h', 'job Scheduled', '0', 'Txt', '2018-11-20 01:02:05'),
	(126, 'F_Graf', 'TValueListEditor', 'txt.76h', 'job db start', '0', 'Txt', '2018-11-20 01:02:05'),
	(127, 'F_Graf', 'TValueListEditor', 'txt.77h', 'job db stop', '0', 'Txt', '2018-11-20 01:02:05'),
	(128, 'F_Graf', 'TMenuItem', 'caption', 'Clear Workplace Filter ', '0', 'ClearWorkplaceFilter1', '2018-11-20 01:02:05'),
	(129, 'F_JobUnit', 'TForm', 'caption', 'F_JobUnit', '-', '', '2018-11-20 01:02:05'),
	(130, 'F_JobUnit', 'TValueListEditor', 'txt.1m', '(101) Field does not exist', '0', 'Txt', '2018-12-02 17:50:49'),
	(131, 'F_JobUnit', 'TValueListEditor', 'txt.2m', '(102) Query is not active, field', '0', 'Txt', '2018-11-20 01:02:05'),
	(132, 'F_JobUnit', 'TValueListEditor', 'txt.3m', '(103) Error string convert to integer', '0', 'Txt', '2018-11-20 01:02:05'),
	(133, 'F_JobUnit', 'TValueListEditor', 'txt.4m', '(104) Error string convert to number', '0', 'Txt', '2018-11-20 01:02:05'),
	(134, 'F_JobUnit', 'TValueListEditor', 'txt.5m', '(105) Circular references of nodes', '0', 'Txt', '2018-11-20 01:02:05'),
	(135, 'F_JobUnit', 'TValueListEditor', 'txt.6m', '(106) More start time for machine', '0', 'Txt', '2018-11-20 01:02:05'),
	(136, 'F_JobUnit', 'TValueListEditor', 'txt.21m', '(121) Job independent error (start & stop)', '0', 'Txt', '2018-11-20 01:02:05'),
	(137, 'F_JobUnit', 'TValueListEditor', 'txt.22m', '(122) Job independent error count', '0', 'Txt', '2018-12-02 17:50:49'),
	(138, 'F_JobUnit', 'TValueListEditor', 'txt.23m', '(123) Operation network references', '0', 'Txt', '2018-11-20 01:02:05'),
	(139, 'F_JobUnit', 'TValueListEditor', 'txt.24m', '(124) Node does not exist', '0', 'Txt', '2018-12-02 17:50:49'),
	(140, 'F_JobUnit', 'TValueListEditor', 'txt.25m', '(125) Node start error', '0', 'Txt', '2018-11-20 01:02:05'),
	(141, 'F_JobUnit', 'TValueListEditor', 'txt.26m', '(126) Node end error', '0', 'Txt', '2018-11-20 01:02:05'),
	(142, 'F_JobUnit', 'TValueListEditor', 'txt.27m', '(127) Warning: Start index error in sequence', '0', 'Txt', '2018-11-20 01:02:05'),
	(143, 'F_JobUnit', 'TValueListEditor', 'txt.28m', '(128) Warning: Operation index error in sequence', '0', 'Txt', '2018-12-02 17:50:49'),
	(144, 'F_JobUnit', 'TValueListEditor', 'txt.29m', '(129) Time value error of operation', '0', 'Txt', '2018-11-20 01:02:05'),
	(145, 'F_JobUnit', 'TValueListEditor', 'txt.30m', '(130) Job value error in network table', '0', 'Txt', '2018-11-20 01:02:05'),
	(146, 'F_JobUnit', 'TValueListEditor', 'txt.31m', '(131) Sequence value error in operation, table', '0', 'Txt', '2018-12-02 17:57:55'),
	(147, 'F_JobUnit', 'TValueListEditor', 'txt.32m', '(132) Invalid last operation index in sequence', '0', 'Txt', '2018-11-20 01:02:05'),
	(148, 'F_JobUnit', 'TValueListEditor', 'txt.33m', '(133) More than one independent (parallel) sequences in jobs', '0', 'Txt', '2018-12-02 17:50:49'),
	(149, 'F_JobUnit', 'TValueListEditor', 'txt.41m', 'SqlValues', '0', 'Txt', '2018-11-20 01:02:05'),
	(150, 'F_JobUnit', 'TValueListEditor', 'txt.42m', 'Machine id', '0', 'Txt', '2018-11-20 01:02:05'),
	(151, 'F_JobUnit', 'TValueListEditor', 'txt.43m', ' has invalid days of week', '0', 'Txt', '2018-11-20 01:02:05'),
	(152, 'F_JobUnit', 'TValueListEditor', 'txt.44m', ' has empty days of week', '0', 'Txt', '2018-11-20 01:02:05'),
	(153, 'F_JobUnit', 'TValueListEditor', 'txt.45m', '(145) TimeToMaFromEnd datum parameter is wrong', '0', 'Txt', '2018-11-20 01:02:05'),
	(154, 'F_JobUnit', 'TValueListEditor', 'txt.46m', '(146) TimeToMaFromStart datum parameter is wrong', '0', 'Txt', '2018-11-20 01:02:05'),
	(155, 'F_JobUnit', 'TValueListEditor', 'txt.48m', '(148) Task order is invalid', '0', 'Txt', '2018-11-20 01:02:05'),
	(156, 'F_JobUnit', 'TValueListEditor', 'txt.49m', 'Sorry, the hole is very small', '0', 'Txt', '2018-11-20 01:02:05'),
	(157, 'F_JobUnit', 'TValueListEditor', 'txt.51m', ' operations have been moved', '0', 'Txt', '2018-11-20 01:02:05'),
	(158, 'F_JobUnit', 'TValueListEditor', 'txt.52m', 'There was no conflict-free move operation (0)', '0', 'Txt', '2018-11-20 01:02:05'),
	(159, 'F_JobUnit', 'TValueListEditor', 'txt.53m', '(153) Workdays intervals error in types', '0', 'Txt', '2018-11-20 01:02:05'),
	(169, 'F_DBGridSort', 'TForm', 'caption', 'Sorting', '0', '', '2018-11-20 01:02:05'),
	(170, 'F_DBGridSort', 'TLabel', 'caption', 'Filtering', '0', 'Label2', '2018-11-20 01:02:05'),
	(171, 'F_DBGridSort', 'TLabel', 'caption', 'Field', '0', 'Label3', '2018-11-20 01:02:05'),
	(172, 'F_DBGridSort', 'TLabel', 'caption', 'Relation', '0', 'Label4', '2018-11-20 01:02:05'),
	(173, 'F_DBGridSort', 'TLabel', 'caption', 'Value', '0', 'Label5', '2018-11-20 01:02:05'),
	(174, 'F_DBGridSort', 'TBitBtn', 'caption', '+', '-', 'bbAdd', '2018-11-20 01:02:05'),
	(175, 'F_DBGridSort', 'TLabel', 'caption', 'Sorting', '0', 'Label1', '2018-11-20 01:02:05'),
	(176, 'F_DBGridSort', 'TButton', 'caption', 'OK', '-', 'Button1', '2018-11-20 01:02:05'),
	(177, 'F_DBGridSort', 'TButton', 'caption', 'OK', '-', 'btOK', '2018-11-20 01:02:05'),
	(178, 'F_DBGridSort', 'TMenuItem', 'caption', 'Sorting', '0', 'Sort1', '2018-11-20 01:02:05'),
	(179, 'F_DBGridSort', 'TMenuItem', 'caption', 'Filtering', '0', 'Filtering1', '2018-11-20 01:02:05'),
	(181, 'F_DBGridSort', 'TMenuItem', 'caption', 'Export to HTML', '0', 'ExporttoHTML1', '2018-11-20 01:02:05'),
	(182, 'F_DBGridSort', 'TMenuItem', 'caption', 'Copy to clipboard', '0', 'Copytoclipboard1', '2018-11-20 01:02:05'),
	(184, 'F_DBGridSort', 'TMenuItem', 'caption', 'Record count', '0', 'RecorCount1', '2018-11-20 01:02:05'),
	(185, 'F_DBGridSort', 'TMenuItem', 'caption', 'View SQL', '0', 'ViewSQL1', '2018-11-20 01:02:05'),
	(187, 'F_DBGridSort', 'TMenuItem', 'caption', 'Refresh', '0', 'Refresh1', '2018-11-20 01:02:05'),
	(188, 'F_Reg', 'TForm', 'caption', 'Registration - JobShop', '0', '', '2018-11-20 01:02:05'),
	(189, 'F_Reg', 'TLabel', 'caption', 'Registration code', '0', 'Label2', '2018-11-20 01:02:05'),
	(190, 'F_Reg', 'TLabel', 'caption', 'For registration, please, send this  program code to email: ', '0', 'Label5', '2018-11-20 01:02:05'),
	(191, 'F_Reg', 'TLabel', 'caption', 'jobshoptech@72.sk ,  mobil: +421 918 326 320', '-', 'Label6', '2018-11-20 01:02:05'),
	(192, 'F_Reg', 'TLabel', 'caption', 'Program code', '0', 'Label1', '2018-11-20 01:02:05'),
	(193, 'F_Reg', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(194, 'F_Reg', 'TValueListEditor', 'txt.1m', 'file does not exist - application will be terminated', '0', 'Txt', '2018-12-02 17:50:49'),
	(195, 'F_Reg', 'TValueListEditor', 'txt.2m', 'OK Registration', '0', 'Txt', '2018-11-20 01:02:05'),
	(196, 'F_Reg', 'TValueListEditor', 'txt.3m', 'Invalid registration code', '0', 'Txt', '2018-11-20 01:02:05'),
	(197, 'F_Reg', 'TValueListEditor', 'txt.4m', 'Copy and paste registration code, please', '0', 'Txt', '2018-11-20 01:02:05'),
	(198, 'F_Reg', 'TValueListEditor', 'txt.10t', 'Registration is not yet necessary', '0', 'Txt', '2018-11-20 01:02:05'),
	(199, 'F_Reg', 'TValueListEditor', 'txt.11t', 'Registration will be closed after %1% days', '0', 'Txt', '2018-11-20 01:02:05'),
	(200, 'F_Reg', 'TValueListEditor', 'txt.12t', 'Program Job Shop Visual is registered, %1% days', '0', 'Txt', '2018-12-03 21:36:06'),
	(201, 'F_Reg', 'TValueListEditor', 'txt.13t', 'Program Job Shop Visual is not registered', '0', 'Txt', '2018-12-02 17:50:49'),
	(202, 'F_WPOP', 'TForm', 'caption', 'Workplace operation plan', '0', '', '2019-06-20 18:46:51'),
	(203, 'F_WPOP', 'TLabel', 'caption', 'WorkPlace', '0', 'WorkPlace', '2018-11-20 01:02:05'),
	(204, 'F_WPOP', 'TLabel', 'caption', 'Start', '0', 'Label2', '2018-11-20 01:02:05'),
	(205, 'F_WPOP', 'TLabel', 'caption', 'Stop', '0', 'Label3', '2018-11-20 01:02:05'),
	(207, 'F_WPOP', 'TLabel', 'caption', '*', '-', 'Label1', '2018-11-20 01:02:05'),
	(208, 'F_WPOP', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(228, 'F_Edit', 'TForm', 'caption', 'Imported dates', '0', '', '2018-11-20 01:02:05'),
	(230, 'F_Edit', 'TLabel', 'caption', 'Import', '0', 'Label3', '2020-02-04 08:26:06'),
	(231, 'F_Edit', 'TLabel', 'caption', 'Sperator', '0', 'Label5', '2018-11-20 01:02:05'),
	(232, 'F_Edit', 'TLabel', 'caption', 'File name', '0', 'Label4', '2018-11-20 01:02:05'),
	(233, 'F_Edit', 'TButton', 'caption', 'Import', '0', 'btImport', '2018-11-20 01:02:05'),
	(235, 'F_Edit', 'TCheckBox', 'caption', 'Ignore first line', '0', 'cbIgnore', '2018-11-20 01:02:05'),
	(236, 'F_Edit', 'TCheckBox', 'caption', 'All table fields', '0', 'cbOrigin', '2018-11-20 01:02:05'),
	(237, 'F_Edit', 'TCheckBox', 'caption', 'Use field list from first line', '0', 'cbFirst', '2018-11-20 01:02:05'),
	(238, 'F_Edit', 'TLabel', 'caption', 'Table name', '0', 'Label1', '2018-11-20 01:02:05'),
	(240, 'F_Edit', 'TButton', 'caption', 'Clear table', '0', 'Button1', '2018-11-20 01:02:05'),
	(241, 'F_Edit', 'TButton', 'caption', 'Generate dates', '0', 'Button2', '2018-11-20 01:02:05'),
	(242, 'F_Edit', 'TValueListEditor', 'txt.1m', 'File not exists', '0', 'Txt', '2018-11-20 01:02:05'),
	(243, 'F_Edit', 'TValueListEditor', 'txt.2m', 'Table is not selected', '0', 'Txt', '2018-11-20 01:02:05'),
	(244, 'F_Edit', 'TValueListEditor', 'txt.3m', 'Do you want to clear table?', '0', 'Txt', '2018-12-02 17:54:16'),
	(245, 'F_Edit', 'TValueListEditor', 'txt.4m', 'Import errors, file', '0', 'Txt', '2018-11-20 01:02:05'),
	(246, 'F_Edit', 'TValueListEditor', 'txt.5m', 'Do you want to generate new datas for testing?', '0', 'Txt', '2018-12-02 17:54:16'),
	(247, 'F_Edit', 'TValueListEditor', 'txt.6m', 'You must restart program', '0', 'Txt', '2020-01-23 03:41:57'),
	(248, 'F_Version', 'TForm', 'caption', 'Version', '0', '', '2018-11-20 01:02:05'),
	(249, 'F_Version', 'TLabel', 'caption', 'Job Shop Visual', '0', 'Label1', '2018-11-20 01:02:05'),
	(250, 'F_Version', 'TLabel', 'caption', 'Label2', '-', 'Label2', '2018-11-20 01:02:05'),
	(251, 'F_Version', 'TLabel', 'caption', ' jobshoptech@72.sk  www.jobshop.72.sk', '-', 'Label3', '2018-11-20 01:02:05'),
	(252, 'F_Version', 'TLabel', 'caption', 'Your first and last name', '0', 'Label8', '2018-11-20 01:02:05'),
	(253, 'F_Version', 'TLabel', 'caption', 'Name of company', '0', 'Label9', '2018-12-02 17:50:49'),
	(254, 'F_Version', 'TLabel', 'caption', 'Location of company - Town', '0', 'Label4', '2018-12-02 17:50:49'),
	(255, 'F_Version', 'TLabel', 'caption', '(c) Martes Specure, RiskCont, Nethouse, 2018 ', '0', 'Label5', '2018-11-20 01:02:05'),
	(256, 'F_Version', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(257, 'F_JobFromEnd', 'TForm', 'caption', 'Job properties', '0', '', '2018-12-02 17:50:49'),
	(258, 'F_JobFromEnd', 'TLabel', 'caption', 'Job:', '0', 'Label1', '2018-11-20 01:02:05'),
	(259, 'F_JobFromEnd', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(260, 'F_JobFromEnd', 'TLabel', 'caption', 'Current start:', '0', 'Label6', '2018-12-02 17:50:49'),
	(261, 'F_JobFromEnd', 'TLabel', 'caption', 'New start date:', '0', 'Label7', '2018-11-20 01:02:05'),
	(262, 'F_JobFromEnd', 'TLabel', 'caption', 'New end date:', '0', 'Label2', '2018-11-20 01:02:05'),
	(263, 'F_JobFromEnd', 'TLabel', 'caption', 'Current end:', '0', 'Label3', '2018-12-02 17:50:50'),
	(264, 'F_JobFromEnd', 'TRadioButton', 'caption', 'From start date    |--->', '0', 'RadioButton1', '2018-11-20 01:02:05'),
	(265, 'F_JobFromEnd', 'TRadioButton', 'caption', 'From end date     <---|', '0', 'RadioButton2', '2018-11-20 01:02:05'),
	(266, 'F_JobFromEnd', 'TCheckBox', 'caption', 'Scheduled from end', '0', 'cbShType', '2018-11-20 01:02:05'),
	(267, 'F_JobFromEnd', 'TRadioButton', 'caption', 'Change job status', '0', 'rbShtype', '2018-11-20 01:02:05'),
	(268, 'F_JobFromEnd', 'TButton', 'caption', 'Cancel', '0', 'Button2', '2018-11-20 01:02:05'),
	(269, 'F_JobFromEnd', 'TRadioButton', 'caption', 'Change job deadline type', '0', 'RadioButton3', '2018-11-20 01:02:05'),
	(270, 'F_JobFromEnd', 'TCheckBox', 'caption', 'Binding deadline job', '0', 'cbDeadline', '2018-11-20 01:02:05'),
	(271, 'F_JobFromEnd', 'TRadioButton', 'caption', 'Locked for reschedule', '0', 'rbFixedStart', '2018-11-20 01:02:05'),
	(272, 'F_JobFromEnd', 'TValueListEditor', 'txt.1m', 'New date start', '0', 'Txt', '2018-11-20 01:02:05'),
	(273, 'F_JobFromEnd', 'TValueListEditor', 'txt.2m', 'New date end', '0', 'Txt', '2018-11-20 01:02:05'),
	(274, 'F_JobFromEnd', 'TValueListEditor', 'txt.3m', 'Change job schedule from END?', '0', 'Txt', '2018-11-20 01:02:05'),
	(275, 'F_JobFromEnd', 'TValueListEditor', 'txt.4m', 'Change job schedule from START?', '0', 'Txt', '2018-11-20 01:02:05'),
	(276, 'F_JobFromEnd', 'TValueListEditor', 'txt.5c', 'Job scheduled from start date', '0', 'Txt', '2018-11-20 01:02:05'),
	(277, 'F_JobFromEnd', 'TValueListEditor', 'txt.6c', 'Job scheduled from end date', '0', 'Txt', '2018-11-20 01:02:05'),
	(278, 'F_JobFromEnd', 'TValueListEditor', 'txt.7c', 'Change job status', '0', 'Txt', '2018-11-20 01:02:05'),
	(279, 'F_JobFromEnd', 'TValueListEditor', 'txt.8c', 'Change job deadline type', '0', 'Txt', '2018-11-20 01:02:05'),
	(280, 'F_JobFromEnd', 'TValueListEditor', 'txt.9c', 'Job locked for reschedule', '0', 'Txt', '2018-11-20 01:02:05'),
	(281, 'F_OpModify', 'TForm', 'caption', 'Operation modification', '0', '', '2018-11-20 01:02:05'),
	(282, 'F_OpModify', 'TLabel', 'caption', 'Selected object', '0', 'Label1', '2018-11-20 01:02:05'),
	(283, 'F_OpModify', 'TLabel', 'caption', 'Duration time [min]', '0', 'Label2', '2018-11-20 01:02:05'),
	(284, 'F_OpModify', 'TLabel', 'caption', 'Duration with transport [min]', '0', 'Label3', '2018-11-20 01:02:05'),
	(285, 'F_OpModify', 'TLabel', 'caption', 'Workplace', '0', 'Label6', '2018-11-20 01:02:05'),
	(287, 'F_OpModify', 'TLabel', 'caption', 'Operation', '0', 'Label12', '2018-11-20 01:02:05'),
	(288, 'F_OpModify', 'TLabel', 'caption', 'Quantity (PC)', '0', 'Label13', '2018-11-20 01:02:05'),
	(289, 'F_OpModify', 'TLabel', 'caption', 'Duration time [min]', '0', 'Label4', '2018-11-20 01:02:05'),
	(290, 'F_OpModify', 'TLabel', 'caption', 'Duration with transport [min]', '0', 'Label5', '2018-11-20 01:02:05'),
	(291, 'F_OpModify', 'TLabel', 'caption', 'Workplace', '0', 'Label8', '2018-11-20 01:02:05'),
	(292, 'F_OpModify', 'TValueListEditor', 'txt.1c', '--COOPERATION--', '0', 'Txt', '2018-11-20 01:02:05'),
	(293, 'F_OpModify', 'TValueListEditor', 'txt.2m', 'No more operations', '0', 'Txt', '2018-11-20 01:02:05'),
	(294, 'F_OpModify', 'TImage', 'hint', 'Select next operation', '0', 'btNext', '2018-12-02 17:50:50'),
	(295, 'F_OpModify', 'TImage', 'hint', 'Select previous operation', '0', 'btPrev', '2018-12-02 17:50:50'),
	(296, 'F_OpModify', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(297, 'F_OpModify', 'TButton', 'caption', 'Cancel', '0', 'Button2', '2018-11-20 01:02:05'),
	(298, 'F_Net', 'TForm', 'caption', 'Select a path', '0', '', '2018-11-20 01:02:05'),
	(299, 'F_Net', 'TValueListEditor', 'txt.1c', 'Select input path', '0', 'Txt', '2018-11-20 01:02:05'),
	(300, 'F_Net', 'TValueListEditor', 'txt.2c', 'Select output path', '0', 'Txt', '2018-11-20 01:02:05'),
	(301, 'F_Net', 'TValueListEditor', 'txt.3c', 'Number of operations', '0', 'Txt', '2018-11-20 01:02:05'),
	(302, 'F_JobSumar', 'TForm', 'caption', 'Job reserve,  start- stop', '0', '', '2018-12-02 17:59:53'),
	(303, 'F_JobSumar', 'TDBGrid.Columns', 'title.0', 'Job', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(304, 'F_JobSumar', 'TDBGrid.Columns', 'title.1', 'Deadline', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(305, 'F_JobSumar', 'TDBGrid.Columns', 'title.2', 'Reserve days', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(306, 'F_JobSumar', 'TDBGrid.Columns', 'title.3', 'Preference', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(307, 'F_JobSumar', 'TDBGrid.Columns', 'title.4', 'Domination', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(308, 'F_JobSumar', 'TDBGrid.Columns', 'title.5', 'Scheduled', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(309, 'F_JobSumar', 'TDBGrid.Columns', 'title.6', 'Start', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(310, 'F_JobSumar', 'TDBGrid.Columns', 'title.7', 'Stop', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(311, 'F_JobSumar', 'TDBGrid.Columns', 'title.8', 'DB_stop', '0', 'DBGrid1', '2020-01-28 05:28:11'),
	(312, 'F_JobSumar', 'TDBGrid.Columns', 'title.9', 'Non-scheduled NT', '0', 'DBGrid1', '2020-01-28 05:28:11'),
	(313, 'F_JobSumar', 'TDBGrid.Columns', 'title.10', 'Operations', '0', 'DBGrid1', '2020-01-28 05:28:11'),
	(314, 'F_Solution', 'TForm', 'caption', 'Choose solution', '0', '', '2018-12-02 17:50:50'),
	(315, 'F_Move', 'TForm', 'caption', 'Move operation to date', '0', '', '2018-11-20 01:02:05'),
	(316, 'F_Move', 'TLabel', 'caption', 'Label2', '-', 'Label2', '2018-11-20 01:02:05'),
	(317, 'F_Move', 'TImage', 'hint', 'be before this', '0', 'btPrev', '2018-11-20 01:02:05'),
	(318, 'F_Move', 'TImage', 'hint', 'be behind this', '0', 'btNext', '2018-11-20 01:02:05'),
	(319, 'F_Move', 'TLabel', 'caption', 'lbStart', '-', 'lbStart', '2018-11-20 01:02:05'),
	(320, 'F_Move', 'TLabel', 'caption', 'lbStopMa', '-', 'lbStopMa', '2018-11-20 01:02:05'),
	(321, 'F_Move', 'TButton', 'caption', 'OK', '0', 'Button1', '2018-11-20 01:02:05'),
	(322, 'F_JobNT', 'TForm', 'caption', 'Jobs sequences for scheduling', '0', '', '2018-11-20 01:02:05'),
	(323, 'F_JobNT', 'TButton', 'caption', 'Add selected rows', '0', 'btAdd', '2018-11-20 01:02:05'),
	(324, 'F_JobNT', 'TButton', 'hint', 'Set schedule for selected rows', '0', 'btAdd', '2018-12-02 17:57:55'),
	(325, 'F_JobNT', 'TButton', 'caption', 'Remove selected rows', '0', 'btRemove', '2018-11-20 01:02:05'),
	(326, 'F_JobNT', 'TButton', 'hint', 'Remove schedule in selected rows', '0', 'btRemove', '2018-11-20 01:02:05'),
	(327, 'F_JobNT', 'TButton', 'caption', 'Reload dates', '0', 'btImport', '2018-11-20 01:02:05'),
	(328, 'F_JobNT', 'TButton', 'caption', 'Add all rows above', '0', 'Button1', '2018-11-20 01:02:05'),
	(329, 'F_JobNT', 'TButton', 'hint', 'Set schedule for selected rows', '0', 'Button1', '2018-12-02 17:57:55'),
	(330, 'F_JobNT', 'TButton', 'caption', 'Remove all rows below', '0', 'Button2', '2018-11-20 01:02:05'),
	(331, 'F_JobNT', 'TButton', 'hint', 'Remove schedule in selected rows', '0', 'Button2', '2018-11-20 01:02:05'),
	(332, 'F_JobNT', 'TDBGrid.Columns', 'title.0', 'ix', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(333, 'F_JobNT', 'TDBGrid.Columns', 'title.1', 'schedule', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(334, 'F_JobNT', 'TDBGrid.Columns', 'title.2', 'color', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(335, 'F_JobNT', 'TDBGrid.Columns', 'title.3', 'fixed', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(336, 'F_JobNT', 'TDBGrid.Columns', 'title.4', 'deadline', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(337, 'F_JobNT', 'TDBGrid.Columns', 'title.5', 'job_name', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(338, 'F_JobNT', 'TDBGrid.Columns', 'title.6', 'sequence', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(339, 'F_JobNT', 'TDBGrid.Columns', 'title.7', 'product', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(340, 'F_JobNT', 'TDBGrid.Columns', 'title.8', 'job_id', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(341, 'F_JobNT', 'TDBGrid.Columns', 'title.9', 'network', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(342, 'F_JobNT', 'TDBGrid.Columns', 'title.10', 'count', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(343, 'F_JobNT', 'TDBGrid.Columns', 'title.11', 'level', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(344, 'F_JobNT', 'TDBGrid.Columns', 'title.12', 'CP', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(345, 'F_JobNT', 'TDBGrid.Columns', 'title.13', 'duration', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(346, 'F_JobNT', 'TDBGrid.Columns', 'title.14', 'domination', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(347, 'F_JobNT', 'TDBGrid.Columns', 'title.15', 'g_c0', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(348, 'F_JobNT', 'TDBGrid.Columns', 'title.16', 'g_c1', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(349, 'F_JobNT', 'TDBGrid.Columns', 'title.17', 'g_c2', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(350, 'F_JobNT', 'TDBGrid.Columns', 'title.18', 'g_c3', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(351, 'F_JobNT', 'TDBGrid.Columns', 'title.19', 'g_c4', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(352, 'F_JobNT', 'TDBGrid.Columns', 'title.20', 'g_c5', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(353, 'F_JobNT', 'TDBGrid.Columns', 'title.21', 'g_c6', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(354, 'F_JobNT', 'TDBGrid.Columns', 'title.22', 'g_deadline', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(355, 'F_JobNT', 'TDBGrid.Columns', 'title.0', 'ix', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(356, 'F_JobNT', 'TDBGrid.Columns', 'title.1', 'schedule', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(357, 'F_JobNT', 'TDBGrid.Columns', 'title.2', 'color', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(358, 'F_JobNT', 'TDBGrid.Columns', 'title.3', 'fixed', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(359, 'F_JobNT', 'TDBGrid.Columns', 'title.4', 'deadline', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(360, 'F_JobNT', 'TDBGrid.Columns', 'title.5', 'job_name', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(361, 'F_JobNT', 'TDBGrid.Columns', 'title.6', 'sequence', '0', 'DBGrid2', '2018-12-02 17:50:50'),
	(362, 'F_JobNT', 'TDBGrid.Columns', 'title.7', 'product', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(363, 'F_JobNT', 'TDBGrid.Columns', 'title.8', 'job_id', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(364, 'F_JobNT', 'TDBGrid.Columns', 'title.9', 'network', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(365, 'F_JobNT', 'TDBGrid.Columns', 'title.10', 'count', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(366, 'F_JobNT', 'TDBGrid.Columns', 'title.11', 'level', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(367, 'F_JobNT', 'TDBGrid.Columns', 'title.12', 'CP', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(368, 'F_JobNT', 'TDBGrid.Columns', 'title.13', 'duration', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(369, 'F_JobNT', 'TDBGrid.Columns', 'title.14', 'domination', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(370, 'F_JobNT', 'TDBGrid.Columns', 'title.15', 'g_c0', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(371, 'F_JobNT', 'TDBGrid.Columns', 'title.16', 'g_c1', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(372, 'F_JobNT', 'TDBGrid.Columns', 'title.17', 'g_c2', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(373, 'F_JobNT', 'TDBGrid.Columns', 'title.18', 'g_c3', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(374, 'F_JobNT', 'TDBGrid.Columns', 'title.19', 'g_c4', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(375, 'F_JobNT', 'TDBGrid.Columns', 'title.20', 'g_c5', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(376, 'F_JobNT', 'TDBGrid.Columns', 'title.21', 'g_c6', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(377, 'F_JobNT', 'TDBGrid.Columns', 'title.22', 'g_deadline', '0', 'DBGrid2', '2018-11-20 01:02:05'),
	(378, 'F_JobNT', 'TValueListEditor', 'txt.1m', 'Reload sequences of jobs and reschedule?', '0', 'Txt', '2018-12-02 17:50:50'),
	(379, 'F_JobNT', 'TValueListEditor', 'txt.2m', 'Reload sequences of jobs was successful', '0', 'Txt', '2018-11-20 01:02:05'),
	(380, 'F_JobNT', 'TValueListEditor', 'txt.3m', 'Sequence is not Scheduled (1)', '0', 'Txt', '2018-11-20 01:02:05'),
	(381, 'F_JobNT', 'TButton', 'caption', 'OK - View', '0', 'btView', '2018-11-20 01:02:05'),
	(382, 'F_JobNT', 'TButton', 'caption', 'OK - Schedule', '0', 'btSchedule', '2018-11-20 01:02:05'),
	(383, 'F_JobNT', 'TMenuItem', 'caption', 'View sequence in Gantt chart <F1>', '0', 'MViewGant', '2018-11-20 01:02:05'),
	(384, 'F_JobNT', 'TMenuItem', 'caption', 'Synchronization rows with Gantt chart', '0', 'SynchronizationrowswithGanttchart1', '2018-11-20 01:02:05'),
	(385, 'F_JobNT', 'TMenuItem', 'caption', 'View sequence in Gantt chart <F1>', '0', 'MenuItem1', '2018-11-20 01:02:05'),
	(387, 'F_Save', 'TForm', 'caption', 'Save or Load', '0', '', '2019-07-04 14:26:56'),
	(388, 'F_Save', 'TDBGrid.Columns', 'title.0', 'Id', '0', 'DBGrid2', '2019-07-04 14:20:31'),
	(389, 'F_Save', 'TDBGrid.Columns', 'title.1', 'Name', '0', 'DBGrid2', '2019-07-04 14:20:31'),
	(390, 'F_Save', 'TDBGrid.Columns', 'title.2', 'Start_at', '0', 'DBGrid2', '2019-07-04 14:20:31'),
	(391, 'F_Save', 'TDBGrid.Columns', 'title.3', 'Save_date', '0', 'DBGrid2', '2019-07-04 14:20:31'),
	(392, 'F_Save', 'TDBGrid.Columns', 'title.4', 'User_id', '0', 'DBGrid2', '2019-07-04 14:20:31'),
	(393, 'F_Save', 'TLabel', 'caption', 'Save name', '0', 'Label1', '2018-11-20 01:02:05'),
	(394, 'F_Save', 'TButton', 'caption', 'Load', '0', 'btLoad', '2018-11-20 01:02:05'),
	(395, 'F_Save', 'TButton', 'caption', 'Save', '0', 'btSave', '2018-11-20 01:02:05'),
	(396, 'F_Save', 'TButton', 'caption', 'Delete All', '0', 'btDeleteAll', '2018-11-20 01:02:05'),
	(397, 'F_Save', 'TButton', 'caption', 'Delete', '0', 'btDelete', '2018-11-20 01:02:05'),
	(398, 'F_MathScheduling', 'TForm', 'caption', 'Scheduling', '0', '', '2018-11-20 01:02:05'),
	(399, 'F_MathScheduling', 'TLabel', 'caption', 'Scheduling ...', '0', 'Label1', '2018-11-20 01:02:05'),
	(400, 'F_MathScheduling', 'TLabel', 'caption', 'Started at :', '0', 'Label2', '2018-11-20 01:02:05'),
	(401, 'F_MathScheduling', 'TLabel', 'caption', 'Label3', '-', 'Label3', '2018-11-20 01:02:05'),
	(402, 'F_MathScheduling', 'TLabel', 'caption', 'Label4', '-', 'Label4', '2018-11-20 01:02:05'),
	(403, 'F_zoom', 'TForm', 'caption', 'Zoom', '0', '', '2018-11-20 01:02:05'),
	(404, 'F_zoom', 'TLabel', 'caption', 'The day length in pixels', '0', 'Label1', '2018-12-02 17:50:50'),
	(405, 'F_zoom', 'TLabel', 'caption', 'The row height in pixels', '0', 'Label2', '2018-11-20 01:02:05'),
	(406, 'F_zoom', 'TBitBtn', 'caption', 'Refresh', '0', 'BitBtn1', '2018-11-20 01:02:05'),
	(407, 'F_zoom', 'TBitBtn', 'caption', 'Close', '0', 'btClose', '2018-11-20 01:02:05'),
	(408, 'F_Anchors', 'TForm', 'caption', 'Anchors', '0', '', '2018-11-20 01:02:05'),
	(409, 'F_Anchors', 'TBitBtn', 'caption', 'Add', '0', 'BitBtn1', '2018-11-20 01:02:05'),
	(410, 'F_Anchors', 'TBitBtn', 'hint', 'Delete', '0', 'btDel', '2018-11-20 01:02:05'),
	(411, 'F_Anchors', 'TBitBtn', 'caption', 'Refresh', '0', 'btShow', '2018-11-20 01:02:05'),
	(412, 'F_Job', 'TForm', 'caption', 'Jobs', '0', '', '2018-11-20 01:02:05'),
	(413, 'F_Job', 'TButton', 'caption', 'Clear colors', '0', 'btClearColor', '2018-11-20 01:02:05'),
	(414, 'F_Job', 'TButton', 'hint', 'Clear colors for multi-selected lines', '0', 'btClearColor', '2018-12-02 17:50:50'),
	(415, 'F_Job', 'TButton', 'caption', 'Auto. add colors', '0', 'btAddColors', '2018-11-20 01:02:05'),
	(416, 'F_Job', 'TButton', 'hint', 'Auto add colors for multi-selected lines', '0', 'btAddColors', '2018-12-02 17:50:50'),
	(417, 'F_Job', 'TButton', 'caption', 'Set color', '0', 'btSetColor', '2018-11-20 01:02:05'),
	(418, 'F_Job', 'TButton', 'hint', 'Set color for current line', '0', 'btSetColor', '2018-12-02 17:50:50'),
	(419, 'F_Job', 'TButton', 'caption', 'Refresh', '0', 'Button1', '2018-11-20 01:02:05'),
	(420, 'F_Job', 'TLabel', 'caption', 'Job preference coef. :', '0', 'Label3', '2018-12-02 17:50:50'),
	(421, 'F_Job', 'TButton', 'caption', 'Recalculate domination', '0', 'btReCalc', '2018-11-20 01:02:05'),
	(422, 'F_Job', 'TButton', 'caption', 'Reload', '0', 'ReLoad', '2018-11-20 01:02:05'),
	(423, 'F_Job', 'TDBGrid.Columns', 'title.0', 'id', '-', 'DBGrid1', '2018-11-20 01:02:05'),
	(424, 'F_Job', 'TDBGrid.Columns', 'title.1', 'job_name', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(425, 'F_Job', 'TDBGrid.Columns', 'title.2', 'color', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(426, 'F_Job', 'TDBGrid.Columns', 'title.3', 'weight', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(427, 'F_Job', 'TDBGrid.Columns', 'title.4', 'preference', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(428, 'F_Job', 'TDBGrid.Columns', 'title.5', 'domination', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(429, 'F_Job', 'TDBGrid.Columns', 'title.6', 'db start', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(430, 'F_Job', 'TDBGrid.Columns', 'title.7', 'db stop', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(431, 'F_Job', 'TDBGrid.Columns', 'title.8', 'possible_start', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(432, 'F_Job', 'TDBGrid.Columns', 'title.9', 'possible_stop', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(433, 'F_Job', 'TDBGrid.Columns', 'title.10', 'nt_cnt', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(434, 'F_Job', 'TDBGrid.Columns', 'title.11', 'op_cnt', '0', 'DBGrid1', '2018-11-20 01:02:05'),
	(435, 'F_Job', 'TValueListEditor', 'txt.1m', 'Do you want to reload sequences of jobs and reschedule?', '0', 'Txt', '2018-12-02 17:50:50'),
	(436, 'F_Job', 'TValueListEditor', 'txt.2m', 'Reload jobs and reschedule?', '0', 'Txt', '2018-12-02 17:50:50'),
	(437, 'F_Job', 'TValueListEditor', 'txt.3m', 'Reload jobs was successful', '0', 'Txt', '2018-11-20 01:02:05'),
	(438, 'F_Start', 'TForm', 'caption', 'Scheduling from date', '0', '', '2018-11-20 01:02:05'),
	(439, 'F_Start', 'TLabel', 'caption', 'Start date:', '0', 'Label1', '2018-11-20 01:02:05'),
	(440, 'F_Start', 'TBitBtn', 'caption', 'OK', '0', 'BitBtn1', '2018-11-20 01:02:05'),
	(463, 'F_Graf', 'TImage', 'hint', 'Language ', '0', 'Image7', '2018-11-20 12:45:30'),
	(464, 'F_Graf', 'TValueListEditor', 'txt.78m', 'file not exists', '0', 'Txt', '2018-11-20 12:45:30'),
	(465, 'F_Graf', 'TValueListEditor', 'txt.79m', 'file was created (for translate)', '0', 'Txt', '2018-11-20 12:45:30'),
	(466, 'F_Lang', 'TForm', 'caption', 'Language', '0', '', '2018-11-20 12:45:30'),
	(467, 'F_Lang', 'TLabel', 'caption', 'Language', '0', 'Label1', '2018-11-20 12:45:30'),
	(468, 'F_Lang', 'TButton', 'caption', 'Import language file', '0', 'Button1', '2018-11-20 12:45:30'),
	(469, 'F_Lang', 'TButton', 'caption', 'Create file for translate', '0', 'Button2', '2018-11-20 12:45:30'),
	(470, 'F_Graf', 'TValueListEditor', 'txt.80m', 'Imported line count', '0', 'Txt', '2018-12-02 17:50:49'),
	(471, 'F_Graf', 'TValueListEditor', 'txt.81m', 'import language was successful', '0', 'Txt', '2018-11-20 13:25:59'),
	(472, 'F_Job', 'TLabel', 'caption', 'Preference', '0', 'Label1', '2018-11-25 12:44:20'),
	(473, 'F_JobNT', 'TLabel', 'caption', 'Use index', '0', 'Label1', '2018-11-26 00:55:22'),
	(474, 'F_Tempo', 'TForm', 'caption', 'Workplaces usage', '0', '', '2018-11-29 12:57:27'),
	(503, 'F_Tempo', 'TDBGrid.Columns', 'title.0', 'day', '0', 'DBG1', '2018-11-29 20:13:53'),
	(504, 'F_Tempo', 'TDBGrid.Columns', 'title.1', 'usage', '0', 'DBG1', '2018-11-29 18:52:28'),
	(505, 'F_Tempo', 'TDBGrid.Columns', 'title.2', 'global_usage', '0', 'DBG1', '2018-11-29 20:13:53'),
	(506, 'F_Tempo', 'TDBGrid.Columns', 'title.3', 'u_domination', '0', 'DBG1', '2018-11-29 17:54:16'),
	(507, 'F_Tempo', 'TDBGrid.Columns', 'title.4', 'u_len', '-', 'DBG1', '2018-11-29 17:54:16'),
	(508, 'F_Tempo', 'TDBGrid.Columns', 'title.5', 'u_td', '-', 'DBG1', '2018-11-29 17:54:16'),
	(509, 'F_Tempo', 'TDBGrid.Columns', 'title.6', 'u_id', '-', 'DBG1', '2018-11-29 17:54:16'),
	(510, 'F_Tempo', 'TDBGrid.Columns', 'title.7', 'u_end', '-', 'DBG1', '2018-11-29 17:54:16'),
	(535, 'F_Lang', 'TButton', 'caption', 'Export current language file ', '0', 'Button3', '2018-12-03 16:42:10'),
	(536, 'F_Tempo', 'TTabSheet', 'caption', 'Graf', '0', 'TabSheet1', '2018-12-04 19:42:20'),
	(537, 'F_Tempo', 'TTabSheet', 'caption', 'Usage', '0', 'TabSheet2', '2018-12-04 19:42:20'),
	(538, 'F_Tempo', 'TTabSheet', 'caption', 'Workplaces', '0', 'TabSheet3', '2018-12-04 19:42:20'),
	(539, 'F_Graf', 'TMenuItem', 'caption', 'Reload workplace machines', '0', 'meReload1', '2018-12-05 23:08:04'),
	(540, 'F_Graf', 'TMenuItem', 'caption', 'View machines by preferences only when they have scheduled activities', '0', 'meCombinatedIndex1', '2018-12-06 01:31:45'),
	(724, 'F_Graf', 'TValueListEditor', 'txt.82h', 'max. capacity', '0', 'Txt', '2018-12-12 22:07:33'),
	(746, 'F_Graf', 'TValueListEditor', 'txt.83c', 'Capacity', '0', 'Txt', '2018-12-12 22:32:34'),
	(1720, 'F_EditMachine', 'TForm', 'caption', 'Machine edit', '0', '', '2019-01-16 17:00:02'),
	(1721, 'F_EditMachine', 'TLabel', 'caption', 'Name', '0', 'Label1', '2019-01-16 17:00:02'),
	(1722, 'F_EditMachine', 'TLabel', 'caption', 'Code name', '0', 'Label2', '2019-01-16 17:00:02'),
	(1723, 'F_EditMachine', 'TLabel', 'caption', 'Area name', '0', 'Label3', '2019-01-16 17:00:02'),
	(1724, 'F_EditMachine', 'TLabel', 'caption', 'Capacity', '0', 'Label4', '2019-04-01 21:01:43'),
	(1725, 'F_EditMachine', 'TLabel', 'caption', 'Days ', '0', 'Label5', '2019-01-16 17:00:02'),
	(1726, 'F_EditMachine', 'TLabel', 'caption', 'Preference', '0', 'Label6', '2019-01-16 17:00:02'),
	(1727, 'F_EditMachine', 'TButton', 'caption', 'Save', '0', 'Button1', '2019-01-16 18:23:15'),
	(1746, 'F_EditMachine', 'TLabel', 'caption', 'Data error', '0', 'Label7', '2019-01-16 17:55:54'),
	(1971, 'F_EditJob', 'TForm', 'caption', 'Job edit', '0', '', '2019-01-17 10:17:51'),
	(1972, 'F_EditJob', 'TLabel', 'caption', 'Job name', '0', 'Label1', '2019-01-17 10:17:51'),
	(1973, 'F_EditJob', 'TLabel', 'caption', 'Start and stop date', '0', 'Label2', '2019-01-17 10:17:51'),
	(1974, 'F_EditJob', 'TLabel', 'caption', 'Deadline', '0', 'Label3', '2019-01-17 10:17:51'),
	(1975, 'F_EditJob', 'TLabel', 'caption', 'Preference', '0', 'Label4', '2019-01-17 10:17:51'),
	(1976, 'F_EditJob', 'TLabel', 'caption', 'Sequence name', '0', 'Label5', '2019-01-17 10:17:51'),
	(1977, 'F_EditJob', 'TLabel', 'caption', 'Product name', '0', 'Label6', '2019-01-17 10:17:51'),
	(1978, 'F_EditJob', 'TLabel', 'caption', 'Quantity', '0', 'Label17', '2019-01-17 10:17:51'),
	(1979, 'F_EditJob', 'TLabel', 'caption', 'Operation name', '0', 'Label7', '2019-01-17 10:17:51'),
	(1980, 'F_EditJob', 'TLabel', 'caption', 'Duration time', '0', 'Label8', '2019-01-17 10:17:51'),
	(1981, 'F_EditJob', 'TLabel', 'caption', 'Duration and transport ', '0', 'Label9', '2019-01-17 10:17:51'),
	(1982, 'F_EditJob', 'TLabel', 'caption', 'Setting time', '0', 'Label10', '2019-01-17 10:17:51'),
	(1983, 'F_EditJob', 'TLabel', 'caption', 'Workplace', '0', 'Label11', '2019-01-31 12:41:22'),
	(1984, 'F_EditJob', 'TLabel', 'caption', 'Status', '0', 'Label12', '2019-01-17 10:17:51'),
	(1985, 'F_EditJob', 'TLabel', 'caption', 'Quantity', '0', 'Label13', '2019-01-17 10:17:51'),
	(1986, 'F_EditJob', 'TLabel', 'caption', 'Capacity', '0', 'Label14', '2019-01-17 10:17:51'),
	(1987, 'F_EditJob', 'TLabel', 'caption', 'Realization index', '0', 'Label15', '2019-01-17 10:17:51'),
	(1988, 'F_EditJob', 'TLabel', 'caption', '[minutes]', '0', 'Label16', '2019-01-17 10:17:51'),
	(1997, 'F_EditJob', 'TButton', 'caption', 'Save', '0', 'Button1', '2019-01-17 10:17:51'),
	(2014, 'F_EditMachine', 'TBitBtn', 'hint', 'New', '0', 'BitBtn6', '2019-01-22 14:12:05'),
	(2015, 'F_EditMachine', 'TBitBtn', 'hint', 'Delete', '0', 'BitBtn7', '2019-01-22 14:12:05'),
	(2047, 'F_Edit', 'TValueListEditor', 'txt.7m', 'Do you want delete record? ', '0', 'Txt', '2019-01-30 10:57:02'),
	(2640, 'F_Edit', 'TValueListEditor', 'txt.8m', 'Workplace is linked to operations', '0', 'Txt', '2019-01-31 17:02:53'),
	(2740, 'F_EditJob', 'TBitBtn', 'hint', 'edit dependece of sequence', '0', 'btDepend', '2019-02-15 18:12:12'),
	(2757, 'F_IOseq', 'TForm', 'caption', 'Dependece of sequence', '0', '', '2019-03-05 16:20:48'),
	(2758, 'F_IOseq', 'TButton', 'caption', 'OK', '0', 'Button1', '2019-03-12 04:17:26'),
	(2759, 'F_IOseq', 'TButton', 'caption', 'Cancel', '0', 'Button2', '2019-03-12 04:17:26'),
	(2953, 'F_IOseq', 'TButton', 'caption', 'Refresh', '0', 'Button3', '2019-03-12 04:23:23'),
	(8439, 'F_Graf', 'TImage', 'hint', 'Workplace usage', '0', 'Image2', '2019-06-20 18:46:51'),
	(10493, 'F_OpModify', 'TValueListEditor', 'txt.3m', 'Do you want split operation?', '0', 'Txt', '2019-04-01 07:57:23'),
	(10494, 'F_OpModify', 'TValueListEditor', 'txt.4m', 'Do you want delete operation?', '0', 'Txt', '2019-04-01 07:57:23'),
	(10752, 'F_Machine', 'TForm', 'caption', 'Workplace', '0', '', '2019-04-02 19:44:24'),
	(10753, 'F_Machine', 'TLabel', 'caption', 'Name', '0', 'Label1', '2019-04-01 18:50:12'),
	(10754, 'F_Machine', 'TLabel', 'caption', 'Code name', '0', 'Label2', '2019-04-01 18:50:12'),
	(10755, 'F_Machine', 'TLabel', 'caption', 'Area name', '0', 'Label3', '2019-04-01 18:50:12'),
	(10756, 'F_Machine', 'TLabel', 'caption', 'Days type', '0', 'Label5', '2019-04-02 21:25:09'),
	(10757, 'F_Machine', 'TLabel', 'caption', 'Preference', '0', 'Label6', '2019-04-01 18:50:12'),
	(10759, 'F_Machine', 'TLabel', 'caption', 'Capacity', '0', 'Label14', '2019-04-01 18:50:12'),
	(11395, 'F_Machine', 'TButton', 'caption', 'OK', '0', 'Button1', '2019-04-02 19:44:24'),
	(11396, 'F_Machine', 'TButton', 'caption', 'Cancel', '0', 'Button2', '2019-04-02 19:44:24'),
	(11397, 'F_Machine', 'TDBGrid.Columns', 'title.2', 'DayType', '0', 'DBGrid1', '2019-04-02 21:29:33'),
	(11398, 'F_Machine', 'TDBGrid.Columns', 'title.3', 'wp_id', '0', 'DBGrid1', '2019-04-02 21:29:33'),
	(11415, 'F_Machine', 'TLabel', 'caption', 'Extra days', '0', 'Label4', '2019-04-02 21:25:09'),
	(11448, 'F_Machine', 'TDBGrid.Columns', 'title.1', 'Day', '0', 'DBGrid1', '2019-04-02 21:29:33'),
	(13193, 'F_Chart', 'TForm', 'caption', 'Capacity chart', '0', '', '2019-04-04 02:58:13'),
	(14378, 'F_Chart', 'TButton', 'hint', 'refresh', '0', 'Button1', '2019-04-05 11:36:16'),
	(14907, 'F_Chart', 'TButton', 'caption', 'refresh', '0', 'Button1', '2019-04-05 13:51:41'),
	(15180, 'F_Machine', 'TImage', 'hint', 'Capacity', '0', 'imCapacity', '2019-04-06 15:02:50'),
	(15411, 'F_Group', 'TForm', 'caption', 'Groups  for capacity chart', '0', '', '2019-05-06 21:51:36'),
	(15412, 'F_Group', 'TLabel', 'caption', 'Group name edit', '0', 'Label1', '2019-05-06 21:51:36'),
	(15413, 'F_Group', 'TButton', 'caption', 'OK', '0', 'Button1', '2019-05-06 21:51:36'),
	(15578, 'F_Group', 'TBitBtn', 'caption', '>', '-', 'btTo', '2019-05-07 11:25:46'),
	(15579, 'F_Group', 'TBitBtn', 'caption', '<', '-', 'btFrom', '2019-05-07 11:25:46'),
	(15580, 'F_Group', 'TBitBtn', 'caption', '>>', '-', 'btToAll', '2019-05-07 11:25:46'),
	(15581, 'F_Group', 'TBitBtn', 'caption', '<<', '-', 'btFromAll', '2019-05-07 11:25:46'),
	(16164, 'F_Graf', 'TLabel', 'caption', 'LB_FONT0', '0', 'LB_FONT0', '2019-06-20 18:46:51'),
	(16166, 'F_Graf', 'TImage', 'hint', 'Simple resolve selected conflicts', '0', 'btPlan1', '2019-06-20 18:46:51'),
	(16167, 'F_Graf', 'TImage', 'hint', 'Simple resolve only selected conflict', '0', 'btOnePlan1', '2019-06-20 18:46:51'),
	(16168, 'F_Graf', 'TImage', 'hint', 'Move only one tasks from right to as close to the selected task', '0', 'imgOneLGaps', '2020-01-20 01:37:05'),
	(16169, 'F_Graf', 'TImage', 'hint', 'Resolve only selected conflict by tasks start', '0', 'btOnePlan2', '2020-01-20 01:37:05'),
	(16170, 'F_Graf', 'TImage', 'hint', 'Move only one tasks from right to as close to the selected task', '0', 'imgOneRGaps', '2020-01-20 01:37:05'),
	(16171, 'F_Graf', 'TImage', 'hint', 'Resolve conflicts by tasks start', '0', 'btPlan2', '2020-01-20 01:37:05'),
	(16172, 'F_Graf', 'TImage', 'hint', 'Rotation paralel tasks', '0', 'imRotate', '2019-06-20 18:46:51'),
	(16173, 'F_Graf', 'TImage', 'hint', 'Move all tasks from right to as close to the selected task one as possible, without conflict', '0', 'btToRight', '2020-01-20 01:37:05'),
	(16174, 'F_Graf', 'TImage', 'hint', 'Move task to start date', '0', 'btToStart', '2020-01-20 01:37:05'),
	(16175, 'F_Graf', 'TImage', 'hint', 'Capacity chart for workplace goups', '0', 'imCapacity', '2019-06-20 18:46:51'),
	(16176, 'F_Graf', 'TImage', 'hint', 'Swap operations', '0', 'btSwap', '2019-06-20 18:46:51'),
	(16177, 'F_Graf', 'TImage', 'hint', 'Table of scheduled plan', '0', 'btPrint', '2019-06-20 18:46:51'),
	(16178, 'F_Graf', 'TMenuItem', 'caption', '&File', '0', 'File1', '2019-06-20 18:46:51'),
	(16179, 'F_Graf', 'TMenuItem', 'caption', 'Imported data ...', '0', 'Importeddata1', '2019-06-20 18:46:51'),
	(16180, 'F_Graf', 'TMenuItem', 'caption', 'Checking imported data', '0', 'Checkingimporteddata2', '2019-06-20 18:46:51'),
	(16182, 'F_Graf', 'TMenuItem', 'caption', 'Reload machine data', '0', 'Reloadmachinedata2', '2019-06-20 18:46:51'),
	(16183, 'F_Graf', 'TMenuItem', 'caption', 'Reload jobs data', '0', 'Reloadjobsdata2', '2019-06-20 18:46:51'),
	(16185, 'F_Graf', 'TMenuItem', 'caption', 'Save or Load unfinished plan ...', '0', 'SaveorLoadunfinishedplan1', '2019-06-20 18:46:51'),
	(16186, 'F_Graf', 'TMenuItem', 'caption', '&Edit', '0', 'Edit2', '2019-06-20 18:46:51'),
	(16187, 'F_Graf', 'TMenuItem', 'caption', 'Machines ...', '0', 'Machines2', '2019-06-20 18:46:51'),
	(16188, 'F_Graf', 'TMenuItem', 'caption', 'Jobs ...', '0', 'Jobs2', '2019-06-20 18:46:51'),
	(16190, 'F_Graf', 'TMenuItem', 'caption', 'Operation property ...', '0', 'Operationproperty1', '2019-06-20 18:46:51'),
	(16191, 'F_Graf', 'TMenuItem', 'caption', 'Job property ...', '0', 'Jobproperty2', '2019-06-20 18:46:51'),
	(16192, 'F_Graf', 'TMenuItem', 'caption', '&View', '0', 'View1', '2019-06-20 18:46:51'),
	(16193, 'F_Graf', 'TMenuItem', 'caption', 'View dependencies', '0', 'Viewdependencies1', '2019-06-20 18:46:51'),
	(16194, 'F_Graf', 'TMenuItem', 'caption', 'Job filter', '0', 'Jobfilter1', '2019-06-20 18:46:51'),
	(16196, 'F_Graf', 'TMenuItem', 'caption', 'Go to oparation machine line', '0', 'Gotooparationmachineline1', '2019-06-20 18:46:51'),
	(16197, 'F_Graf', 'TMenuItem', 'caption', 'Go to previous operation', '0', 'Gotopreviousoperation1', '2019-06-20 18:46:51'),
	(16198, 'F_Graf', 'TMenuItem', 'caption', 'Go to next operation', '0', 'Gotonextoperation1', '2019-06-20 18:46:51'),
	(16200, 'F_Graf', 'TMenuItem', 'caption', 'Zoom ...', '0', 'Zoom2', '2019-06-20 18:46:51'),
	(16201, 'F_Graf', 'TMenuItem', 'caption', 'Refresh', '0', 'Refresh2', '2019-06-20 18:46:51'),
	(16203, 'F_Graf', 'TMenuItem', 'caption', 'View machines by preferences only when they have scheduled activities', '0', 'miMachine1', '2019-06-20 18:46:51'),
	(16204, 'F_Graf', 'TMenuItem', 'caption', '&Jobs', '0', 'Joblist1', '2019-06-20 18:46:51'),
	(16205, 'F_Graf', 'TMenuItem', 'caption', 'Jobs list ...', '0', 'Jobslist1', '2019-06-20 18:46:51'),
	(16206, 'F_Graf', 'TMenuItem', 'caption', 'Edit job property ... ', '0', 'Editjobproperty1', '2019-06-20 18:46:51'),
	(16207, 'F_Graf', 'TMenuItem', 'caption', '&Scheduling', '0', 'Scheduling1', '2019-06-20 18:46:51'),
	(16208, 'F_Graf', 'TMenuItem', 'caption', 'Start ...', '0', 'Start2', '2019-06-20 18:46:51'),
	(16209, 'F_Graf', 'TMenuItem', 'caption', 'Scheduling sequences ...', '0', 'Schedulingsequences1', '2019-06-20 18:46:51'),
	(16211, 'F_Graf', 'TMenuItem', 'caption', 'Save completed plan', '0', 'Savecompletedplan1', '2019-06-20 18:46:51'),
	(16212, 'F_Graf', 'TMenuItem', 'caption', 'Plan operations list ...', '0', 'Planoperationslist1', '2019-06-20 18:46:51'),
	(16213, 'F_Graf', 'TMenuItem', 'caption', '&Move operations', '0', 'Moveoperations1', '2019-06-20 18:46:51'),
	(16214, 'F_Graf', 'TMenuItem', 'caption', 'Move this task to date ...', '0', 'Moveoperationtodate2', '2020-01-20 01:37:05'),
	(16215, 'F_Graf', 'TMenuItem', 'caption', 'Move this  task to start date', '0', 'Moveoperationtostartdate1', '2020-01-20 01:37:05'),
	(16216, 'F_Graf', 'TMenuItem', 'caption', 'Move this task in front of the marked task', '0', 'Moveoperationbefore2', '2020-01-20 01:37:05'),
	(16217, 'F_Graf', 'TMenuItem', 'caption', 'Move this task behind the marked task', '0', 'Moveoperationafter2', '2020-01-20 01:37:05'),
	(16219, 'F_Graf', 'TMenuItem', 'caption', 'Move only one task from right to as close to the selected task one as possible', '0', 'Moveoperationontherighttoselected1', '2020-01-20 01:37:05'),
	(16220, 'F_Graf', 'TMenuItem', 'caption', 'Move all tasks from right to as close to the selected task one as possible', '0', 'Movealloperationsfromrighttoselected2', '2020-01-20 01:37:05'),
	(16221, 'F_Graf', 'TMenuItem', 'caption', 'Move only one tasks from right to as close to the selected task one as possible', '0', 'Moveoperationonthelefttoselected2', '2020-01-20 01:37:05'),
	(16222, 'F_Graf', 'TMenuItem', 'caption', 'Move all tasks from right to as close to the selected task one as possible', '0', 'Movealloperationsfromlefttoselected2', '2020-01-20 01:37:05'),
	(16224, 'F_Graf', 'TMenuItem', 'caption', 'Move all tasks from left to as close to the selected task one as possible, without conflict', '0', 'MoveoperationontherighttoselectedwithoutCONFLICT3', '2020-01-20 00:46:24'),
	(16225, 'F_Graf', 'TMenuItem', 'caption', 'Move all tasks from right to as close to the selected task one as possible, without conflict', '0', 'MovealloperationsfromlefttoselectedwithoutCONFLICT2', '2020-01-20 00:46:24'),
	(16226, 'F_Graf', 'TMenuItem', 'caption', '&Rescheduled', '0', 'Rescheduled1', '2019-06-20 18:46:51'),
	(16227, 'F_Graf', 'TMenuItem', 'caption', '1. Simple resolve selected conflicts', '0', 'N1Simpleresolveselectedconflict1', '2019-06-20 18:46:51'),
	(16228, 'F_Graf', 'TMenuItem', 'caption', '2. Simple resolve only selected conflict', '0', 'N2ReSchedulealloperations1', '2019-06-20 18:46:51'),
	(16229, 'F_Graf', 'TMenuItem', 'caption', '3. Resolve conflicts by tasks start', '0', 'N3ReSchedulealloperationswithoutdeadlinejobs1', '2020-01-20 01:37:05'),
	(16230, 'F_Graf', 'TMenuItem', 'caption', '4. Resolve only selected conflict by tasks start', '0', 'N4ReSchedulefromfirstoperationsofjobswithoutdeadlinejobs2', '2020-01-20 01:37:05'),
	(16231, 'F_Graf', 'TMenuItem', 'caption', 'S&tatistics', '0', 'Statistics1', '2019-06-20 18:46:51'),
	(16232, 'F_Graf', 'TMenuItem', 'caption', 'Workplace usage  ...', '0', 'Workplaceusage2', '2019-06-20 18:46:51'),
	(16233, 'F_Graf', 'TMenuItem', 'caption', 'Job deadlines ...', '0', 'Jobdeadlines2', '2019-06-20 18:46:51'),
	(16234, 'F_Graf', 'TMenuItem', 'caption', 'Capacity chart', '0', 'Capacitychart1', '2019-06-20 18:46:51'),
	(16235, 'F_Graf', 'TMenuItem', 'caption', '&Language ', '0', 'SetLanguage1', '2019-06-20 18:46:51'),
	(16236, 'F_Graf', 'TMenuItem', 'caption', '&About  ', '0', 'About1', '2019-06-20 18:46:51'),
	(16237, 'F_Graf', 'TMenuItem', 'caption', 'Program version ...', '0', 'Programversion2', '2019-06-20 18:46:51'),
	(16238, 'F_Graf', 'TMenuItem', 'caption', 'Help ...', '0', 'Help2', '2019-06-20 18:46:51'),
	(16239, 'F_Graf', 'TMenuItem', 'caption', 'Registration ...', '0', 'Registration2', '2019-06-20 18:46:51'),
	(16243, 'F_WPOP', 'TDBGrid.Columns', 'title.0', 'ID', '0', 'DBGrid2', '2019-06-20 18:46:51'),
	(16244, 'F_WPOP', 'TDBGrid.Columns', 'title.1', 'Workplace', '0', 'DBGrid2', '2019-06-20 18:46:51'),
	(16245, 'F_WPOP', 'TDBGrid.Columns', 'title.2', 'Capacity', '0', 'DBGrid2', '2019-06-20 18:46:51'),
	(16246, 'F_WPOP', 'TDBGrid.Columns', 'title.3', 'Start', '0', 'DBGrid2', '2019-06-20 18:46:51'),
	(16247, 'F_WPOP', 'TDBGrid.Columns', 'title.4', 'SettingTime', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16248, 'F_WPOP', 'TDBGrid.Columns', 'title.5', 'StopWorkplace', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16249, 'F_WPOP', 'TDBGrid.Columns', 'title.6', 'Stop', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16250, 'F_WPOP', 'TDBGrid.Columns', 'title.7', 'Product', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16251, 'F_WPOP', 'TDBGrid.Columns', 'title.8', 'Job Name', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16252, 'F_WPOP', 'TDBGrid.Columns', 'title.9', 'Sequence', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16253, 'F_WPOP', 'TDBGrid.Columns', 'title.10', 'Operation', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16254, 'F_WPOP', 'TDBGrid.Columns', 'title.11', 'TechIndex', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16255, 'F_WPOP', 'TDBGrid.Columns', 'title.12', 'Quantity', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16256, 'F_WPOP', 'TDBGrid.Columns', 'title.13', 'Capacity', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16257, 'F_WPOP', 'TDBGrid.Columns', 'title.14', 'Comment', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16260, 'F_Edit', 'TBitBtn', 'caption', 'Machine edit', '0', 'btMachineEdit', '2019-06-20 18:46:51'),
	(16261, 'F_Edit', 'TBitBtn', 'caption', 'Job edit', '0', 'btJobEdit', '2019-06-20 18:46:51'),
	(16262, 'F_OpModify', 'TLabel', 'caption', 'Capacity', '0', 'Label10', '2019-06-20 18:46:51'),
	(16263, 'F_OpModify', 'TLabel', 'caption', 'Technology index', '0', 'Label11', '2019-06-20 18:46:51'),
	(16264, 'F_OpModify', 'TButton', 'caption', 'Delete', '0', 'btDeleteOp', '2019-06-20 18:46:51'),
	(16265, 'F_OpModify', 'TButton', 'caption', 'Split', '0', 'btSplit', '2019-06-20 18:46:51'),
	(16266, 'F_OpModify', 'TLabel', 'caption', 'Capacity', '0', 'Label14', '2019-06-20 18:46:51'),
	(16267, 'F_OpModify', 'TLabel', 'caption', 'Technology index', '0', 'Label15', '2019-06-20 18:46:51'),
	(16269, 'F_Tempo', 'TDBGrid.Columns', 'title.0', 'workplace', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16270, 'F_Tempo', 'TDBGrid.Columns', 'title.1', 'code', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16271, 'F_Tempo', 'TDBGrid.Columns', 'title.2', 'area', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16272, 'F_Tempo', 'TDBGrid.Columns', 'title.3', 'capacity', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16273, 'F_Tempo', 'TDBGrid.Columns', 'title.4', 'preference', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16274, 'F_Tempo', 'TDBGrid.Columns', 'title.5', 'day', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16275, 'F_Tempo', 'TDBGrid.Columns', 'title.6', 'usage', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16276, 'F_Tempo', 'TDBGrid.Columns', 'title.7', 'global_usage', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16277, 'F_Tempo', 'TDBGrid.Columns', 'title.8', 'domination', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16278, 'F_Tempo', 'TDBGrid.Columns', 'title.9', 'work_time', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16279, 'F_Tempo', 'TDBGrid.Columns', 'title.10', 'used_time', '0', 'DBG3', '2019-06-20 18:46:51'),
	(16375, 'F_OpModify', 'TLabel', 'caption', 'Setting time [min]', '0', 'Label7', '2019-08-27 01:12:54'),
	(16601, 'F_Group', 'TLabel', 'caption', 'Human capacity ', '0', 'Label2', '2019-09-10 08:00:21'),
	(16727, 'F_WPOP', 'TDBGrid.Columns', 'title.15', 'Minutes', '0', 'DBGrid2', '2019-09-10 10:30:49'),
	(16795, 'F_Chart', 'TLabel', 'caption', 'all workplaces', '0', 'LB_AllWorkplaces', '2019-09-10 22:54:12'),
	(16796, 'F_Chart', 'TLabel', 'caption', 'Machines group', '0', 'LB_MachinesGroup', '2019-09-10 22:54:12'),
	(16797, 'F_Chart', 'TLabel', 'caption', 'Human capacity', '0', 'LB_HumanCapacity', '2019-09-10 22:54:12'),
	(16798, 'F_Group', 'TCheckBox', 'caption', 'Setting time', '0', 'cbSettingTime', '2019-09-10 22:54:12'),
	(17055, 'F_Group', 'TMenuItem', 'caption', 'Delete group', '0', 'Deletegroup1', '2019-09-11 12:00:53'),
	(17535, 'F_Edit', 'TLabel', 'caption', 'Import', '0', 'lbImport', '2020-02-04 08:26:06'),
	(17536, 'F_Edit', 'TLabel', 'caption', 'Export all tables', '0', 'lbExport', '2020-01-20 17:02:11'),
	(17761, 'F_Edit', 'TLabel', 'hint', 'Import selected table from csv file', '0', 'lbImport', '2020-01-20 17:02:11'),
	(18819, 'F_Graf', 'TValueListEditor', 'txt.90m', 'The data has been modified', '0', 'Txt', '2020-02-05 23:02:29'),
	(18820, 'F_Graf', 'TValueListEditor', 'txt.91m', 'The data has been modified and therefore it is necessary to RESTART the program.', '0', 'Txt', '2020-01-23 04:02:51'),
	(18967, 'F_Graf', 'TMenuItem', 'caption', 'Program Restart', '0', 'RESTART1', '2020-01-23 04:15:02'),
	(19154, 'F_JobFromEnd', 'TLabel', 'caption', 'New end date:', '0', 'Label5', '2020-01-26 17:21:18'),
	(19155, 'F_JobFromEnd', 'TLabel', 'caption', 'Current end:', '0', 'Label8', '2020-01-26 17:21:18'),
	(19157, 'F_JobFromEnd', 'TLabel', 'caption', 'Info end date (db):', '0', 'Label9', '2020-01-26 17:29:50'),
	(19278, 'F_Graf', 'TImage', 'hint', 'Move only one task from right to as close to the selected task one as possible, without conflict', '0', 'btToRightOnlyOne', '2020-01-27 21:14:46'),
	(19279, 'F_Graf', 'TImage', 'hint', 'Move only one task from left to as close to the selected task one as possible, without conflict', '0', 'btToLeftOnlyOne', '2020-01-27 21:14:46'),
	(19533, 'F_JobSumar', 'TDBGrid.Columns', 'title.11', 'Job_Id', '0', 'DBGrid1', '2020-01-28 05:28:11'),
	(21307, 'F_zoom', 'TCheckBox', 'caption', 'Pix', '-', 'cbPix', '2020-01-30 15:34:40'),
	(21953, 'F_Edit', 'TRadioButton', 'caption', 'CSV file', '0', 'RadioButton1', '2020-02-04 08:26:06'),
	(21954, 'F_Edit', 'TRadioButton', 'caption', 'SQL file', '0', 'rbSQL', '2020-02-04 08:26:06'),
	(23367, 'F_Start', 'TLabel', 'caption', '12345678 ', '-', 'Label2', '2020-02-06 00:18:00'),
	(23385, 'F_Start', 'TCheckBox', 'caption', 'Days filter', '0', 'cbPix', '2020-02-06 10:52:14');
/*!40000 ALTER TABLE `tlang` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tlangtrans` (
  `tra_id` int(11) NOT NULL DEFAULT '0',
  `tra_val` varchar(500) NOT NULL DEFAULT '',
  PRIMARY KEY (`tra_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `tlangtrans` DISABLE KEYS */;
/*!40000 ALTER TABLE `tlangtrans` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tmachinex` (
  `ma_id` int(11) NOT NULL,
  `ma_wp` int(11) NOT NULL DEFAULT '0' COMMENT 'tworkplace',
  `ma_code` varchar(60) NOT NULL DEFAULT '',
  `ma_name` varchar(60) NOT NULL DEFAULT '',
  `ma_area` varchar(60) NOT NULL DEFAULT '',
  `ma_prefer` decimal(5,2) NOT NULL DEFAULT '1.00',
  `ma_days` varchar(8) NOT NULL DEFAULT 'AAAAA000',
  `ma_capacity` int(11) DEFAULT NULL,
  PRIMARY KEY (`ma_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `tmachinex` DISABLE KEYS */;
INSERT INTO `tmachinex` (`ma_id`, `ma_wp`, `ma_code`, `ma_name`, `ma_area`, `ma_prefer`, `ma_days`, `ma_capacity`) VALUES
	(1, 1, '1001', 'Machine-1', 'Area-1', 1.00, 'BBBBB00', NULL),
	(2, 2, '1002', 'Machine-2', 'Area-1', 1.00, 'AAAAA000', NULL),
	(3, 3, '1003', 'Machine-3', 'Area-1', 1.00, 'AAAAA000', NULL),
	(4, 4, '1004', 'Machine-4', 'Area-1', 1.00, 'AAAAA000', NULL),
	(5, 5, '1005', 'Machine-5', 'Area-1', 1.00, 'AAAAA000', NULL),
	(6, 6, '1006', 'Machine-6', 'Area-1', 1.00, 'AAAAA000', NULL),
	(7, 7, '1007', 'Machine-7', 'Area-1', 1.00, 'AAAAA000', NULL),
	(8, 8, '1008', 'Machine-8', 'Area-1', 1.00, 'AAAAA000', NULL),
	(9, 9, '1009', 'Machine-9', 'Area-1', 1.00, 'AAAAA000', NULL),
	(10, 10, '1010', 'Machine-10', 'Area-1', 1.00, 'AAAAA000', NULL),
	(11, 11, '1011', 'Machine-11', 'Area-1', 1.00, 'BBBBB000', NULL),
	(12, 12, '1012', 'Machine-12', 'Area-1', 1.00, 'BBBBB000', NULL),
	(13, 13, '1013', 'Machine-13', 'Area-1', 1.00, 'BBBBB000', NULL),
	(14, 14, '1014', 'Machine-14', 'Area-1', 1.00, 'BBBBB000', NULL),
	(15, 15, '1015', 'Machine-15', 'Area-1', 1.00, 'BBBBB000', NULL),
	(16, 16, '1016', 'Machine-16', 'Area-1', 1.00, 'BBBBB000', NULL),
	(17, 17, '1017', 'Machine-17', 'Area-1', 1.00, 'BBBBB000', NULL),
	(18, 18, '1018', 'Machine-18', 'Area-1', 1.00, 'BBBBB000', NULL),
	(19, 19, '1019', 'Machine-19', 'Area-1', 1.00, 'BBBBB000', NULL),
	(20, 20, '1020', 'Machine-20', 'Area-1', 1.00, 'BBBBB000', NULL),
	(21, 21, '1021', 'Machine-21', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(22, 22, '1022', 'Machine-22', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(23, 23, '1023', 'Machine-23', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(24, 24, '1024', 'Machine-24', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(25, 25, '1025', 'Machine-25', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(26, 26, '1026', 'Machine-26', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(27, 27, '1027', 'Machine-27', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(28, 28, '1028', 'Machine-28', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(29, 29, '1029', 'Machine-29', 'Area-1', 1.00, 'AAAAAAA0', NULL),
	(30, 30, '1030', 'Machine-30', 'Area-15464', 2.00, 'AAAAAAA0', NULL);
/*!40000 ALTER TABLE `tmachinex` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tnetwork` (
  `net_id` int(11) NOT NULL COMMENT 'row id',
  `net_job_id` int(11) NOT NULL DEFAULT '0' COMMENT 'tjob.job_id',
  `net_a_id` int(11) NOT NULL DEFAULT '0' COMMENT 'node A ',
  `net_b_id` int(11) NOT NULL DEFAULT '0' COMMENT 'node B',
  PRIMARY KEY (`net_id`),
  UNIQUE KEY `net_a_id` (`net_a_id`,`net_b_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='network, definialja a NODEok halozatat ';

/*!40000 ALTER TABLE `tnetwork` DISABLE KEYS */;
INSERT INTO `tnetwork` (`net_id`, `net_job_id`, `net_a_id`, `net_b_id`) VALUES
	(1, 1, 1, 1001),
	(2, 2, 2, 1002),
	(3, 3, 3, 1003),
	(4, 4, 4, 1004),
	(5, 5, 5, 1005),
	(6, 6, 6, 1006),
	(7, 7, 7, 1007),
	(8, 8, 8, 1008),
	(9, 9, 9, 1009),
	(10, 10, 10, 1010),
	(11, 11, 11, 1011),
	(12, 12, 12, 1012),
	(13, 13, 13, 1013),
	(14, 14, 14, 1014),
	(15, 15, 15, 1015),
	(16, 16, 16, 1016),
	(17, 17, 17, 1017),
	(18, 18, 18, 1018),
	(19, 19, 19, 1019),
	(20, 20, 20, 1020),
	(21, 21, 1022, 2024),
	(22, 21, 1023, 2024),
	(23, 21, 2024, 1025);
/*!40000 ALTER TABLE `tnetwork` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `toperation` (
  `opr_id` int(11) NOT NULL COMMENT 'row id',
  `opr_seq_id` int(11) NOT NULL DEFAULT '0' COMMENT 'tsequence.seq_id',
  `opr_wkp_id` int(11) NOT NULL DEFAULT '0' COMMENT 'tworkplace.wkp_id',
  `opr_ix` int(11) NOT NULL DEFAULT '0' COMMENT 'operation index in sequence',
  `opr_td` int(11) NOT NULL DEFAULT '0' COMMENT 'duration time [minutes]',
  `opr_tij` int(11) NOT NULL DEFAULT '0' COMMENT 'duration+transport time [minutes]',
  `opr_ts` int(11) NOT NULL DEFAULT '0' COMMENT 'setting time minutes ',
  `opr_started` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0/1 1=opretion was started on workplace',
  `opr_name` varchar(120) NOT NULL DEFAULT '',
  `opr_pc` decimal(10,4) NOT NULL DEFAULT '0.0000',
  `opr_capacity` decimal(10,4) NOT NULL DEFAULT '1.0000' COMMENT 'capacity demand',
  `opr_comment` varchar(500) DEFAULT '',
  PRIMARY KEY (`opr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `toperation` DISABLE KEYS */;
INSERT INTO `toperation` (`opr_id`, `opr_seq_id`, `opr_wkp_id`, `opr_ix`, `opr_td`, `opr_tij`, `opr_ts`, `opr_started`, `opr_name`, `opr_pc`, `opr_capacity`, `opr_comment`) VALUES
	(2, 1, 8, 1, 442, 442, 56, 0, 'op-1_2', 5.4200, 1.0000, ''),
	(3, 1, 20, 2, 19, 19, 56, 0, 'op-1_3', 1.1900, 1.0000, ''),
	(4, 1, 11, 3, 450, 450, 35, 0, 'op-1_4', 5.5000, 1.0000, ''),
	(5, 1, 2, 4, 374, 374, 20, 0, 'op-1_5', 4.7400, 1.0000, ''),
	(6, 1, 4, 5, 339, 339, 20, 0, 'op-1_6', 4.3900, 1.0000, ''),
	(7, 1, 1, 6, 331, 331, 40, 0, 'op-1_7', 4.3100, 1.0000, ''),
	(8, 2, 11, 1, 300, 300, 3, 0, 'op-2_8', 4.0000, 1.0000, ''),
	(9, 2, 25, 2, 58, 58, 3, 0, 'op-2_9', 1.5800, 1.0000, ''),
	(10, 2, 12, 3, 228, 228, 25, 0, 'op-2_10', 3.2800, 1.0000, ''),
	(11, 2, 11, 4, 257, 257, 25, 0, 'op-2_11', 3.5700, 1.0000, ''),
	(12, 3, 13, 1, 28, 28, 1, 0, 'op-3_12', 1.2800, 1.0000, ''),
	(13, 3, 10, 2, 374, 374, 18, 0, 'op-3_13', 4.7400, 1.0000, ''),
	(14, 3, 18, 3, 35, 35, 18, 0, 'op-3_14', 1.3500, 1.0000, ''),
	(15, 3, 14, 4, 548, 548, 74, 0, 'op-3_15', 6.4800, 1.0000, ''),
	(16, 3, 19, 5, 38, 38, 74, 0, 'op-3_16', 1.3800, 1.0000, ''),
	(17, 3, 8, 6, 235, 235, 11, 0, 'op-3_17', 3.3500, 1.0000, ''),
	(18, 3, 27, 7, 12, 12, 11, 0, 'op-3_18', 1.1200, 1.0000, ''),
	(19, 3, 11, 8, 626, 626, 45, 0, 'op-3_19', 7.2600, 1.0000, ''),
	(20, 4, 15, 1, 98, 98, 12, 0, 'op-4_20', 1.9800, 1.0000, ''),
	(21, 4, 11, 2, 279, 279, 35, 0, 'op-4_21', 3.7900, 1.0000, ''),
	(22, 4, 8, 3, 163, 163, 20, 0, 'op-4_22', 2.6300, 1.0000, ''),
	(23, 4, 13, 4, 104, 104, 1, 0, 'op-4_23', 2.0400, 1.0000, ''),
	(24, 5, 27, 1, 58, 58, 1, 0, 'op-5_24', 1.5800, 1.0000, ''),
	(25, 5, 3, 2, 346, 346, 43, 0, 'op-5_25', 4.4600, 1.0000, ''),
	(26, 5, 10, 3, 700, 700, 31, 0, 'op-5_26', 8.0000, 1.0000, ''),
	(27, 6, 29, 1, 43, 43, 31, 0, 'op-6_27', 1.4300, 1.0000, ''),
	(28, 6, 1, 2, 199, 217, 19, 0, 'op-6_28', 2.9900, 1.0000, ''),
	(29, 6, 29, 3, 58, 58, 19, 0, 'op-6_29', 1.5800, 1.0000, ''),
	(30, 6, 11, 4, 644, 820, 55, 0, 'op-6_30', 7.4400, 1.0000, ''),
	(31, 6, 26, 5, 16, 16, 55, 0, 'op-6_31', 1.1600, 1.0000, ''),
	(32, 6, 5, 6, 409, 663, 14, 0, 'op-6_32', 5.0900, 1.0000, ''),
	(33, 6, 4, 7, 329, 587, 27, 0, 'op-6_33', 4.2900, 1.0000, ''),
	(34, 6, 8, 8, 425, 425, 30, 0, 'op-6_34', 5.2500, 1.0000, ''),
	(35, 6, 17, 9, 22, 22, 30, 0, 'op-6_35', 1.2200, 1.0000, ''),
	(36, 6, 14, 10, 593, 593, 24, 0, 'op-6_36', 6.9300, 1.0000, ''),
	(37, 7, 3, 1, 218, 218, 14, 0, 'op-7_37', 3.1800, 1.0000, ''),
	(38, 7, 8, 2, 162, 162, 0, 0, 'op-7_38', 2.6200, 1.0000, ''),
	(39, 7, 20, 3, 32, 32, 0, 0, 'op-7_39', 1.3200, 1.0000, ''),
	(40, 7, 19, 4, 16, 16, 0, 0, 'op-7_40', 1.1600, 1.0000, ''),
	(41, 8, 30, 1, 19, 19, 0, 0, 'op-8_41', 1.1900, 1.0000, ''),
	(42, 8, 28, 2, 16, 16, 0, 0, 'op-8_42', 1.1600, 1.0000, ''),
	(43, 8, 25, 3, 38, 38, 0, 0, 'op-8_43', 1.3800, 1.0000, ''),
	(44, 8, 11, 4, 588, 588, 51, 0, 'op-8_44', 6.8800, 1.0000, ''),
	(45, 8, 12, 5, 512, 512, 39, 0, 'op-8_45', 6.1200, 1.0000, ''),
	(46, 8, 28, 6, 41, 41, 39, 0, 'op-8_46', 1.4100, 1.0000, ''),
	(47, 8, 19, 7, 27, 27, 39, 0, 'op-8_47', 1.2700, 1.0000, ''),
	(48, 9, 14, 1, 45, 45, 2, 0, 'op-9_48', 1.4500, 1.0000, ''),
	(49, 9, 5, 2, 73, 73, 5, 0, 'op-9_49', 1.7300, 1.0000, ''),
	(50, 9, 24, 3, 20, 20, 5, 0, 'op-9_50', 1.2000, 1.0000, ''),
	(51, 9, 22, 4, 49, 49, 5, 0, 'op-9_51', 1.4900, 1.0000, ''),
	(52, 10, 9, 1, 441, 876, 27, 0, 'op-10_52', 5.4100, 1.0000, ''),
	(53, 10, 11, 2, 428, 428, 24, 0, 'op-10_53', 5.2800, 1.0000, ''),
	(54, 10, 17, 3, 56, 56, 24, 0, 'op-10_54', 1.5600, 1.0000, ''),
	(55, 11, 21, 1, 21, 21, 24, 0, 'op-11_55', 1.2100, 1.0000, ''),
	(56, 11, 20, 2, 63, 63, 24, 0, 'op-11_56', 1.6300, 1.0000, ''),
	(57, 11, 23, 3, 44, 44, 24, 0, 'op-11_57', 1.4400, 1.0000, ''),
	(58, 11, 24, 4, 45, 45, 24, 0, 'op-11_58', 1.4500, 1.0000, ''),
	(59, 11, 15, 5, 283, 283, 12, 0, 'op-11_59', 3.8300, 1.0000, ''),
	(60, 11, 7, 6, 375, 375, 9, 0, 'op-11_60', 4.7500, 1.0000, ''),
	(61, 12, 18, 1, 7, 7, 9, 0, 'op-12_61', 1.0700, 1.0000, ''),
	(62, 12, 16, 2, 338, 338, 26, 0, 'op-12_62', 4.3800, 1.0000, ''),
	(63, 12, 18, 3, 13, 13, 26, 0, 'op-12_63', 1.1300, 1.0000, ''),
	(64, 12, 9, 4, 221, 221, 14, 0, 'op-12_64', 3.2100, 1.0000, ''),
	(65, 13, 18, 1, 40, 40, 14, 0, 'op-13_65', 1.4000, 1.0000, ''),
	(66, 13, 1, 2, 411, 513, 24, 0, 'op-13_66', 5.1100, 1.0000, ''),
	(67, 13, 12, 3, 480, 480, 30, 0, 'op-13_67', 5.8000, 1.0000, ''),
	(68, 13, 9, 4, 62, 62, 2, 0, 'op-13_68', 1.6200, 1.0000, ''),
	(69, 14, 5, 1, 301, 301, 5, 0, 'op-14_69', 4.0100, 1.0000, ''),
	(70, 14, 28, 2, 48, 48, 5, 0, 'op-14_70', 1.4800, 1.0000, ''),
	(71, 14, 5, 3, 244, 244, 22, 0, 'op-14_71', 3.4400, 1.0000, ''),
	(72, 14, 9, 4, 86, 86, 8, 0, 'op-14_72', 1.8600, 1.0000, ''),
	(73, 14, 16, 5, 84, 91, 10, 0, 'op-14_73', 1.8400, 1.0000, ''),
	(74, 14, 1, 6, 415, 415, 19, 0, 'op-14_74', 5.1500, 1.0000, ''),
	(75, 14, 21, 7, 55, 55, 19, 0, 'op-14_75', 1.5500, 1.0000, ''),
	(76, 15, 10, 1, 628, 628, 53, 0, 'op-15_76', 7.2800, 1.0000, ''),
	(77, 15, 4, 2, 272, 272, 10, 0, 'op-15_77', 3.7200, 1.0000, ''),
	(78, 15, 18, 3, 18, 18, 10, 0, 'op-15_78', 1.1800, 1.0000, ''),
	(79, 15, 3, 4, 27, 31, 2, 0, 'op-15_79', 1.2700, 1.0000, ''),
	(80, 15, 11, 5, 395, 395, 53, 0, 'op-15_80', 4.9500, 1.0000, ''),
	(81, 15, 24, 6, 25, 25, 53, 0, 'op-15_81', 1.2500, 1.0000, ''),
	(82, 15, 19, 7, 56, 56, 53, 0, 'op-15_82', 1.5600, 1.0000, ''),
	(83, 15, 1, 8, 420, 438, 26, 0, 'op-15_83', 5.2000, 1.0000, ''),
	(84, 15, 2, 9, 75, 75, 5, 0, 'op-15_84', 1.7500, 1.0000, ''),
	(85, 15, 25, 10, 42, 42, 5, 0, 'op-15_85', 1.4200, 1.0000, ''),
	(86, 16, 3, 1, 76, 146, 8, 0, 'op-16_86', 1.7600, 1.0000, ''),
	(87, 16, 15, 2, 578, 578, 24, 0, 'op-16_87', 6.7800, 1.0000, ''),
	(88, 16, 9, 3, 442, 553, 17, 0, 'op-16_88', 5.4200, 1.0000, ''),
	(89, 16, 2, 4, 106, 143, 5, 0, 'op-16_89', 2.0600, 1.0000, ''),
	(90, 16, 9, 5, 30, 34, 2, 0, 'op-16_90', 1.3000, 1.0000, ''),
	(91, 16, 3, 6, 378, 378, 53, 0, 'op-16_91', 4.7800, 1.0000, ''),
	(92, 16, 14, 7, 699, 699, 62, 0, 'op-16_92', 7.9900, 1.0000, ''),
	(93, 16, 6, 8, 224, 224, 24, 0, 'op-16_93', 3.2400, 1.0000, ''),
	(94, 16, 9, 9, 375, 375, 9, 0, 'op-16_94', 4.7500, 1.0000, ''),
	(95, 16, 4, 10, 416, 416, 1, 0, 'op-16_95', 5.1600, 1.0000, ''),
	(96, 17, 4, 1, 112, 112, 0, 0, 'op-17_96', 2.1200, 1.0000, ''),
	(97, 17, 1, 2, 33, 33, 3, 0, 'op-17_97', 1.3300, 1.0000, ''),
	(98, 17, 13, 3, 680, 680, 64, 0, 'op-17_98', 7.8000, 1.0000, ''),
	(99, 18, 25, 1, 34, 34, 64, 0, 'op-18_99', 1.3400, 1.0000, ''),
	(100, 18, 14, 2, 468, 468, 33, 0, 'op-18_100', 5.6800, 1.0000, ''),
	(101, 18, 2, 3, 417, 417, 2, 0, 'op-18_101', 5.1700, 1.0000, ''),
	(102, 18, 3, 4, 238, 238, 32, 0, 'op-18_102', 3.3800, 1.0000, ''),
	(103, 19, 29, 1, 35, 35, 32, 0, 'op-19_103', 1.3500, 1.0000, ''),
	(104, 19, 14, 2, 688, 979, 2, 0, 'op-19_104', 7.8800, 1.0000, ''),
	(105, 19, 3, 3, 310, 427, 6, 0, 'op-19_105', 4.1000, 1.0000, ''),
	(106, 19, 6, 4, 95, 95, 10, 0, 'op-19_106', 1.9500, 1.0000, ''),
	(107, 20, 21, 1, 21, 21, 10, 0, 'op-20_107', 1.2100, 1.0000, ''),
	(108, 20, 9, 2, 114, 114, 13, 0, 'op-20_108', 2.1400, 1.0000, ''),
	(109, 20, 5, 3, 238, 238, 25, 0, 'op-20_109', 3.3800, 1.0000, ''),
	(110, 20, 20, 4, 55, 55, 25, 0, 'op-20_110', 1.5500, 1.0000, ''),
	(111, 20, 6, 5, 44, 44, 4, 0, 'op-20_111', 1.4400, 1.0000, ''),
	(21001, 21, 18, 1, 258, 258, 23, 0, 'op-x21001', 3.5800, 1.0000, ''),
	(21002, 21, 19, 2, 11, 11, 0, 0, 'op-x21002', 1.1100, 1.0000, ''),
	(21003, 21, 7, 3, 289, 289, 0, 0, 'op-x21003', 3.8900, 1.0000, ''),
	(21011, 22, 16, 1, 294, 294, 9, 0, 'op-x21011', 3.9400, 1.0000, ''),
	(21012, 22, 1, 2, 89, 89, 14, 0, 'op-x21012', 1.8900, 1.0000, ''),
	(21013, 22, 9, 3, 99, 99, 3, 0, 'op-x21013', 1.9900, 1.0000, ''),
	(21021, 23, 27, 1, 76, 76, 10, 0, 'op-x21021', 1.7600, 1.0000, ''),
	(21022, 23, 13, 2, 136, 136, 24, 0, 'op-x21022', 2.3600, 1.0000, ''),
	(21023, 23, 23, 3, 147, 147, 27, 0, 'op-x21023', 2.4700, 1.0000, '');
/*!40000 ALTER TABLE `toperation` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tpause` (
  `pa_id` int(11) NOT NULL,
  `pa_ma` int(11) NOT NULL DEFAULT '0' COMMENT 'machine id',
  `pa_day` datetime NOT NULL DEFAULT '1990-01-01 00:00:00' COMMENT 'mikortol, ora,perc',
  `pa_daytype` varchar(1) NOT NULL DEFAULT '0' COMMENT 'tDays type',
  `pa_c_date` varchar(12) NOT NULL DEFAULT '' COMMENT 'calc yyyy.mm.dd',
  PRIMARY KEY (`pa_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='mikor dolgozik a gep, nem rendes idoben';

/*!40000 ALTER TABLE `tpause` DISABLE KEYS */;
INSERT INTO `tpause` (`pa_id`, `pa_ma`, `pa_day`, `pa_daytype`, `pa_c_date`) VALUES
	(1, 11111, '2018-10-17 00:00:00', '0', '2018.10.17'),
	(2, 4, '2019-04-05 00:00:00', 'B', '2019.04.05');
/*!40000 ALTER TABLE `tpause` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tsequence` (
  `seq_id` int(11) NOT NULL COMMENT 'row id',
  `seq_net_id` int(11) NOT NULL DEFAULT '0' COMMENT 'tnetwork.net_id',
  `seq_name` varchar(60) NOT NULL DEFAULT '' COMMENT 'rajzszam',
  `seq_product` varchar(60) NOT NULL DEFAULT '' COMMENT 'produkt',
  `seq_pc` int(11) NOT NULL DEFAULT '0' COMMENT 'darab szam',
  PRIMARY KEY (`seq_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='skevencio ';

/*!40000 ALTER TABLE `tsequence` DISABLE KEYS */;
INSERT INTO `tsequence` (`seq_id`, `seq_net_id`, `seq_name`, `seq_product`, `seq_pc`) VALUES
	(1, 1, 'Seq-1', 'Produkt-1', 1),
	(2, 2, 'Seq-2', 'Produkt-2', 1),
	(3, 3, 'Seq-3', 'Produkt-3', 1),
	(4, 4, 'Seq-4', 'Produkt-4', 1),
	(5, 5, 'Seq-5', 'Produkt-5', 1),
	(6, 6, 'Seq-6', 'Produkt-6', 1),
	(7, 7, 'Seq-7', 'Produkt-7', 1),
	(8, 8, 'Seq-8', 'Produkt-8', 1),
	(9, 9, 'Seq-9', 'Produkt-9', 1),
	(10, 10, 'Seq-10', 'Produkt-10', 1),
	(11, 11, 'Seq-11', 'Produkt-11', 1),
	(12, 12, 'Seq-12', 'Produkt-12', 1),
	(13, 13, 'Seq-13', 'Produkt-13', 1),
	(14, 14, 'Seq-14', 'Produkt-14', 1),
	(15, 15, 'Seq-15', 'Produkt-15', 1),
	(16, 16, 'Seq-16', 'Produkt-16', 1),
	(17, 17, 'Seq-17', 'Produkt-17', 1),
	(18, 18, 'Seq-18', 'Produkt-18', 1),
	(19, 19, 'Seq-19', 'Produkt-19', 1),
	(20, 20, 'Seq-20', 'Produkt-20', 1),
	(21, 21, 'Seq-21', 'Produkt-21', 1),
	(22, 22, 'Seq-22', 'Produkt-22', 1),
	(23, 23, 'Seq-23', 'Produkt-23', 1);
/*!40000 ALTER TABLE `tsequence` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `tworkplace` (
  `wkp_id` int(11) NOT NULL COMMENT 'row id',
  `wkp_code` varchar(80) NOT NULL DEFAULT '' COMMENT 'workplace code',
  `wkp_name` varchar(80) NOT NULL DEFAULT '' COMMENT 'workplace name',
  `wkp_area` varchar(80) NOT NULL DEFAULT '' COMMENT 'wokplace area',
  `wkp_prefer` decimal(5,2) NOT NULL DEFAULT '1.00',
  `wkp_capacity` decimal(10,4) NOT NULL DEFAULT '1.0000',
  `wkp_setting_cap` decimal(10,4) unsigned zerofill NOT NULL DEFAULT '000001.0000',
  `wkp_days` varchar(8) NOT NULL DEFAULT 'AAAAA000',
  PRIMARY KEY (`wkp_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='wokplace data';

/*!40000 ALTER TABLE `tworkplace` DISABLE KEYS */;
INSERT INTO `tworkplace` (`wkp_id`, `wkp_code`, `wkp_name`, `wkp_area`, `wkp_prefer`, `wkp_capacity`, `wkp_setting_cap`, `wkp_days`) VALUES
	(1, '2001', 'Workplace-1', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(2, '2002', 'Workplace-2', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(3, '2003', 'Workplace-3', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(4, '2004', 'Workplace-4', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(5, '2005', 'Workplace-5', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(6, '2006', 'Workplace-6', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(7, '2007', 'Workplace-7', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(8, '2008', 'Workplace-8', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(9, '2009', 'Workplace-9', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(10, '2010', 'Workplace-10', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(11, '2011', 'Workplace-11', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(12, '2012', 'Workplace-12', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(13, '2013', 'Workplace-13', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(14, '2014', 'Workplace-14', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(15, '2015', 'Workplace-15', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(16, '2016', 'Workplace-16', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(17, '2017', 'Workplace-17', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(18, '2018', 'Workplace-18', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(19, '2019', 'Workplace-19', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(20, '2020', 'Workplace-20', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(21, '2021', 'Workplace-21', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(22, '2022', 'Workplace-22', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(23, '2023', 'Workplace-23', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(24, '2024', 'Workplace-24', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(25, '2025', 'Workplace-25', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(26, '2026', 'Workplace-26', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(27, '2027', 'Workplace-27', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(28, '2028', 'Workplace-28', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(29, '2029', 'Workplace-29', '', 1.00, 1.0000, 000001.0000, 'AAAAA000'),
	(30, '2030', 'Workplace-30', '', 1.00, 1.0000, 000001.0000, 'AAAAA000');
/*!40000 ALTER TABLE `tworkplace` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `twpgroup` (
  `gr_name` varchar(80) NOT NULL COMMENT 'group name',
  `gr_comment` varchar(250) NOT NULL DEFAULT '',
  `gr_wp` longtext NOT NULL COMMENT 'id,id,id....  // workplace id list',
  `gr_human_capacity` varchar(500) NOT NULL DEFAULT '' COMMENT '<capacity>=<from>,5=6:00, 5=18:30...',
  PRIMARY KEY (`gr_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='workplace groups';

/*!40000 ALTER TABLE `twpgroup` DISABLE KEYS */;
/*!40000 ALTER TABLE `twpgroup` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `t_cpm` (
  `cpm_nt_id` int(11) NOT NULL DEFAULT '0',
  `cpm_ix` int(11) NOT NULL DEFAULT '0' COMMENT 'level uzla',
  `cpm_job` int(11) NOT NULL DEFAULT '0',
  `cpm_cpm` int(11) NOT NULL DEFAULT '0' COMMENT '1= kriticka cesta, 2 = druha krit cesta',
  PRIMARY KEY (`cpm_nt_id`),
  KEY `cpm_ix` (`cpm_ix`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='CPM index, calc';

/*!40000 ALTER TABLE `t_cpm` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_cpm` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `t_nd` (
  `nd_id` int(11) NOT NULL DEFAULT '0' COMMENT 'row id',
  `nd_start` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1=start',
  `nd_end` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1=end',
  `nd_zkm` int(11) NOT NULL DEFAULT '0' COMMENT 'zm=km',
  `nd_zkp` int(11) NOT NULL DEFAULT '0' COMMENT 'zp=kp',
  `nd_rc` int(11) NOT NULL DEFAULT '0' COMMENT 'rc',
  `nd_entry` int(11) NOT NULL DEFAULT '0' COMMENT 'aktiual entry sequence count to NODE',
  `nd_exit` int(11) NOT NULL DEFAULT '0' COMMENT 'aktual exit sequence count from NODE',
  `nd_job` int(11) NOT NULL DEFAULT '0' COMMENT 'job',
  `nd_history` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`nd_id`),
  KEY `nd_end` (`nd_end`),
  KEY `nd_entry` (`nd_entry`),
  KEY `nd_exit` (`nd_exit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='node calc';

/*!40000 ALTER TABLE `t_nd` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_nd` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `t_nt` (
  `nt_id` int(11) NOT NULL DEFAULT '0' COMMENT 'row id',
  `nt_jo_id` int(11) NOT NULL DEFAULT '0' COMMENT 'job',
  `nt_a` int(11) NOT NULL DEFAULT '0' COMMENT 'node A id,  ref. t_nd.nd_id',
  `nt_b` int(11) NOT NULL DEFAULT '0' COMMENT 'node B id (next node) ref.  t_nd.nd_id',
  `nt_start` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1-start , node A is start node in job',
  `nt_end` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1-end, node B is end node in job',
  `nt_calc` int(11) NOT NULL DEFAULT '0' COMMENT 'for app proc InitCPM',
  `nt_prefer` decimal(10,4) NOT NULL DEFAULT '100.0000',
  `nt_history` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`nt_id`),
  UNIQUE KEY `nt_nd_id` (`nt_a`,`nt_b`),
  KEY `nt_calc` (`nt_calc`),
  KEY `nt_start` (`nt_start`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='network calc';

/*!40000 ALTER TABLE `t_nt` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_nt` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `t_op` (
  `op_id` int(11) NOT NULL DEFAULT '0' COMMENT 'row id',
  `op_nt_id` int(11) NOT NULL DEFAULT '0' COMMENT 'network: t_nt',
  `op_wp` int(11) NOT NULL DEFAULT '0' COMMENT 'workplace table: twp or 0',
  `op_ma` int(11) NOT NULL DEFAULT '0' COMMENT 'machine',
  `op_ix` int(11) NOT NULL DEFAULT '0' COMMENT 'operation index in seqvvence 1..n',
  `op_last_ix` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0/1',
  `op_se_id` int(11) NOT NULL DEFAULT '0' COMMENT 'sekvence, mivel 2 nod kozt tobb sekvencio is lehet',
  `op_plan_org` int(11) NOT NULL DEFAULT '0' COMMENT 'new organization index',
  `op_old_org` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'before organization 0/1  for CPM',
  `op_fix_org` int(11) NOT NULL DEFAULT '0' COMMENT 'fixed organization index',
  `op_td` int(11) NOT NULL DEFAULT '0' COMMENT 'op duration time [sec]',
  `op_o_td` int(11) NOT NULL DEFAULT '0' COMMENT 'origin td',
  `op_tij` int(11) NOT NULL DEFAULT '0' COMMENT 'duration+transport [sec] ',
  `op_o_tij` int(11) NOT NULL DEFAULT '0',
  `op_ts` int(11) NOT NULL DEFAULT '0' COMMENT 'max storage time',
  `op_o_ts` int(11) NOT NULL DEFAULT '0' COMMENT 'origin ts',
  `op_zm` int(11) NOT NULL DEFAULT '0',
  `op_km` int(11) NOT NULL DEFAULT '0',
  `op_zp` int(11) NOT NULL DEFAULT '0',
  `op_kp` int(11) NOT NULL DEFAULT '0',
  `op_rc` int(11) NOT NULL DEFAULT '0' COMMENT 'rezerva',
  `op_porg` int(11) NOT NULL DEFAULT '0' COMMENT 'organization index plan1',
  `op_job` int(11) NOT NULL DEFAULT '0' COMMENT 'job',
  `op_prefer` decimal(10,4) NOT NULL DEFAULT '100.0000' COMMENT 'prefer',
  `op_capacity` decimal(10,4) NOT NULL DEFAULT '1.0000' COMMENT 'capacity demand',
  `op_o_zm` int(11) NOT NULL DEFAULT '0',
  `op_history` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`op_id`),
  KEY `op_se_id` (`op_se_id`,`op_ix`),
  KEY `op_plan_org` (`op_plan_org`),
  KEY `op_wp_id` (`op_wp`),
  KEY `op_last_ix` (`op_last_ix`),
  KEY `op_nt_id` (`op_nt_id`),
  KEY `op_zm` (`op_zm`),
  KEY `op_old_org` (`op_old_org`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='operations calc';

/*!40000 ALTER TABLE `t_op` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_op` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `v_jobs` (
  `v_job` int(11) DEFAULT NULL,
  `v_start` datetime DEFAULT NULL,
  `v_stop` datetime DEFAULT NULL,
  `v_deadline` int(11) NOT NULL DEFAULT '0',
  `v_scheduled` int(11) NOT NULL DEFAULT '0',
  `v_nocomplet_nt` int(11) NOT NULL DEFAULT '0' COMMENT 'count of not sheduled nt',
  `v_reserve` decimal(10,2) NOT NULL DEFAULT '0.00',
  `v_comment` varchar(200) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='deadlines';

/*!40000 ALTER TABLE `v_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `v_jobs` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `v_wpusage` (
  `u_id` int(11) NOT NULL AUTO_INCREMENT,
  `u_wp` int(11) NOT NULL DEFAULT '0',
  `u_day` date DEFAULT NULL,
  `u_len` int(11) NOT NULL DEFAULT '0',
  `u_td` int(11) NOT NULL DEFAULT '0',
  `u_usage` decimal(10,4) NOT NULL DEFAULT '0.0000',
  `u_usage_days` decimal(10,4) NOT NULL DEFAULT '0.0000',
  `u_domination` decimal(10,4) NOT NULL DEFAULT '0.0000',
  `u_end` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`u_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*!40000 ALTER TABLE `v_wpusage` DISABLE KEYS */;
/*!40000 ALTER TABLE `v_wpusage` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `x_save_data` (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_gr` int(11) NOT NULL DEFAULT '0' COMMENT 'x_save_head.sh_id',
  `s_user` int(11) NOT NULL DEFAULT '0',
  `s_job` int(11) NOT NULL DEFAULT '0',
  `s_ntcnt` int(11) NOT NULL DEFAULT '0',
  `s_data` longblob,
  `s_head` longblob,
  PRIMARY KEY (`s_id`),
  KEY `s_gr` (`s_gr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='save and load';

/*!40000 ALTER TABLE `x_save_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `x_save_data` ENABLE KEYS */;

CREATE TABLE IF NOT EXISTS `x_save_head` (
  `sh_id` int(11) NOT NULL AUTO_INCREMENT,
  `sh_user` int(11) NOT NULL DEFAULT '0',
  `sh_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `sh_start` datetime NOT NULL,
  `sh_name` varchar(80) NOT NULL DEFAULT '',
  PRIMARY KEY (`sh_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

/*!40000 ALTER TABLE `x_save_head` DISABLE KEYS */;
/*!40000 ALTER TABLE `x_save_head` ENABLE KEYS */;

DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `MyClear`()
BEGIN
 
 truncate table m_job;
 truncate table m_jobnt;
 truncate table m_net_tmp;
 truncate table m_result;
 truncate table m_scheduled;
 truncate table m_scheduled_copy;
 truncate table tlangtrans;
 truncate table t_cpm;
 truncate table t_nd;
 truncate table t_nt;
 truncate table t_op;
 truncate table v_jobs;
 truncate table v_wpusage;
 truncate table twpgroup;
 truncate table s_actgr;
 truncate table s_newgr;
 truncate table s_save;
 truncate table tconfig;
 truncate table x_save_data;
 truncate table x_save_head;
 insert into tconfig (cf_code,cf_ix,cf_value, cf_name) VALUES (1,1,'0.5','Job prefer coeff');
 update tdays set wd_intervals='06:00-06:00' where wd_type='A';
 /* call MyClear */

END//
DELIMITER ;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
